# ----------------------------------------------------------------------
# Dictionary which contains a key, value pair for each country. Each key
# is the regex pattern for the country and the values are the metrics. 
# ----------------------------------------------------------------------
regex_dict = {
    '(?!,*brazzaville).*(?=.*dem|DR|.*kinshasa).*congo|kinshasa|DRC|DROC|^CD$|^COD$': ['Democratic '
                                                                                    'Republic '
                                                                                    'of '
                                                                                    'the '
                                                                                    'Congo',
                                                                                    'UN '
                                                                                    'member '
                                                                                    'state',
                                                                                    'CD',
                                                                                    'COD',
                                                                                    180,
                                                                                    '.cd',
                                                                                    '+243',
                                                                                    -2.764356,
                                                                                    23.711724,
                                                                                    'Africa',
                                                                                    'Middle '
                                                                                    'Africa',
                                                                                    '🇨🇩',
                                                                                    2344858.0,
                                                                                    2267048.0,
                                                                                    77810.0,
                                                                                    'Kinshasa',
                                                                                    '4°19′30″S',
                                                                                    '15°19′20″E',
                                                                                    15.3222,
                                                                                    -4.325,
                                                                                    86790567.0,
                                                                                    50400746171.4239,
                                                                                    1146.5359,
                                                                                    1097.9489,
                                                                                    False,
                                                                                    False,
                                                                                    False],
    '(?!.*[z]).*(a|å)land|^AX$|^ALA$': ['Åland Islands',
                                     'Finland',
                                     'AX',
                                     'ALA',
                                     248,
                                     '.ax',
                                     '+358 18',
                                     60.209445,
                                     20.134315,
                                     '',
                                     '',
                                     '🇦🇽',
                                     '',
                                     '',
                                     '',
                                     '',
                                     '',
                                     '',
                                     '',
                                     '',
                                     '',
                                     '',
                                     '',
                                     '',
                                     False,
                                     False,
                                     False],
    '(?!.*bissau|.*new|.*equatorial).*guinea|^GN$|^GIN$': ['Guinea',
                                                        'UN member state',
                                                        'GN',
                                                        'GIN',
                                                        324,
                                                        '.gn',
                                                        '+224',
                                                        10.73705,
                                                        -10.67156,
                                                        'Africa',
                                                        'Western Africa',
                                                        '🇬🇳',
                                                        245857.0,
                                                        245717.0,
                                                        140.0,
                                                        'Conakry',
                                                        '9°31′N',
                                                        '13°42′W',
                                                        -13.7,
                                                        9.5167,
                                                        12771246.0,
                                                        12296665331.192,
                                                        2675.4616,
                                                        2562.0829,
                                                        False,
                                                        False,
                                                        False],
    '(?!.*dem|.*people|.*north|.*n[\., ]|DPR).*korea|^KR$|^KOR$': ['South Korea',
                                                                 'UN member '
                                                                 'state',
                                                                 'KR',
                                                                 'KOR',
                                                                 410,
                                                                 '.kr',
                                                                 '+82',
                                                                 36.499864,
                                                                 127.971895,
                                                                 'Asia',
                                                                 'Eastern Asia',
                                                                 '🇰🇷',
                                                                 99720.0,
                                                                 96920.0,
                                                                 2800.0,
                                                                 'Seoul',
                                                                 '37°34′N',
                                                                 '126°58′E',
                                                                 126.9667,
                                                                 37.5667,
                                                                 51709098.0,
                                                                 1646739219509.89,
                                                                 43143.0195,
                                                                 42764.5264,
                                                                 True,
                                                                 False,
                                                                 False],
    '(?!.*hong kong|.*taiwan|.*macau|.*macao).*china|^CN$|^CHN$': ['China',
                                                                'UN member '
                                                                'state',
                                                                'CN',
                                                                'CHN',
                                                                156,
                                                                '.cn',
                                                                '+86',
                                                                35.86166,
                                                                104.195397,
                                                                'Asia',
                                                                'Eastern Asia',
                                                                '🇨🇳',
                                                                9596960.0,
                                                                9326410.0,
                                                                270550.0,
                                                                'Beijing',
                                                                '39°54′24″N',
                                                                '116°23′51″E',
                                                                116.3975,
                                                                39.9067,
                                                                1397715000.0,
                                                                14342903006431.3,
                                                                16829.8671,
                                                                16116.6639,
                                                                False,
                                                                False,
                                                                False],
    '(?!.*kinshasa|DR|.*dem).*(congo|brazzaville)|^CG$|^COG$': ['Republic of the '
                                                             'Congo',
                                                             'UN member state',
                                                             'CG',
                                                             'COG',
                                                             178,
                                                             '.cg',
                                                             '+242',
                                                             -0.961883,
                                                             15.746202,
                                                             'Africa',
                                                             'Middle Africa',
                                                             '🇨🇬',
                                                             342000.0,
                                                             341500.0,
                                                             500.0,
                                                             'Brazzaville',
                                                             '4°16′4″S',
                                                             '15°17′31″E',
                                                             15.2919,
                                                             -4.2678,
                                                             5380508.0,
                                                             12267392146.5888,
                                                             3835.6626,
                                                             3673.1178,
                                                             False,
                                                             False,
                                                             False],
    '(?!.*nigeria).*niger|^NE$|^NER$': ['Niger',
                                     'UN member state',
                                     'NE',
                                     'NER',
                                     562,
                                     '.ne',
                                     '+227',
                                     17.12811,
                                     9.589291,
                                     'Africa',
                                     'Western Africa',
                                     '🇳🇪',
                                     1267000.0,
                                     1266700.0,
                                     300.0,
                                     'Niamey',
                                     '13°30′42″N',
                                     '2°7′31″E',
                                     2.1253,
                                     13.5117,
                                     23310715.0,
                                     12911689659.351,
                                     1278.6982,
                                     1224.5105,
                                     False,
                                     False,
                                     False],
    '(?!.*north).*ireland|^IE$|^IRL$': ['Republic of Ireland',
                                     'UN member state',
                                     'IE',
                                     'IRL',
                                     372,
                                     '.ie',
                                     '+353',
                                     53.207236,
                                     -7.778069,
                                     'Europe',
                                     'Northern Europe',
                                     '🇮🇪',
                                     70273.0,
                                     68883.0,
                                     1390.0,
                                     'Dublin',
                                     '53°21′N',
                                     '6°16′W',
                                     -6.2667,
                                     53.35,
                                     4941444.0,
                                     388698711348.156,
                                     88240.901,
                                     86781.3902,
                                     True,
                                     True,
                                     True],
    '(?!.*rep).*dominica|.*dominique|^DM$|^DMA$': ['Dominica',
                                                'UN member state',
                                                'DM',
                                                'DMA',
                                                212,
                                                '.dm',
                                                '+1 767',
                                                15.437664,
                                                -61.33912,
                                                'North America',
                                                'Caribbean',
                                                '🇩🇲',
                                                751.0,
                                                751.0,
                                                '',
                                                'Roseau',
                                                '15°18′05″N',
                                                '61°23′18″W',
                                                -61.3883,
                                                15.3014,
                                                71808.0,
                                                582403703.703704,
                                                12444.4411,
                                                11917.0802,
                                                False,
                                                False,
                                                False],
    '(?!.*south).*sudan|^SD$|^SDN$': ['Sudan',
                                   'UN member state',
                                   'SD',
                                   'SDN',
                                   729,
                                   '.sd',
                                   '+249',
                                   16.540312,
                                   30.450219,
                                   'Africa',
                                   'Northern Africa',
                                   '🇸🇩',
                                   '',
                                   '',
                                   '',
                                   '',
                                   '',
                                   '',
                                   '',
                                   '',
                                   42813238.0,
                                   30513456084.7961,
                                   4122.5267,
                                   3958.4684,
                                   False,
                                   False,
                                   False],
    '(?=.*africa).*south|s[\., ]|^ZA$|^ZAF$': ['South Africa',
                                             'UN member state',
                                             'ZA',
                                             'ZAF',
                                             710,
                                             '.za',
                                             '+27',
                                             -30.559482,
                                             22.937506,
                                             'Africa',
                                             'Southern Africa',
                                             '🇿🇦',
                                             1219090.0,
                                             1214470.0,
                                             4620.0,
                                             'Cape Town',
                                             '33°55′31″S',
                                             '18°25′26″E',
                                             18.4239,
                                             -33.9253,
                                             58558270.0,
                                             351431649241.439,
                                             13034.1647,
                                             12481.8129,
                                             False,
                                             False,
                                             False],
    '(?=.*korea).*(north|dem|n[\. ]*)|^KP$|^PRK$': ['North Korea',
                                                  'UN member state',
                                                  'KP',
                                                  'PRK',
                                                  408,
                                                  '.kp',
                                                  '+850',
                                                  40.018305,
                                                  126.950167,
                                                  'Asia',
                                                  'Eastern Asia',
                                                  '🇰🇵',
                                                  120538.0,
                                                  120408.0,
                                                  130.0,
                                                  'Pyongyang',
                                                  '39°1′10″N',
                                                  '125°44′17″E',
                                                  125.7381,
                                                  39.0194,
                                                  25666161.0,
                                                  '',
                                                  '',
                                                  '',
                                                  False,
                                                  False,
                                                  False],
    '(?=.*minor outlying).*(united states|u\.s\.|us$)|^UM$|^UMI$': ['United '
                                                                   'States '
                                                                   'Minor '
                                                                   'OutlyingIslands',
                                                                   'United '
                                                                   'States',
                                                                   'UM',
                                                                   'UMI',
                                                                   581,
                                                                   'not '
                                                                   'assigned',
                                                                   '+1',
                                                                   12.021708,
                                                                   177.590537,
                                                                   '',
                                                                   '',
                                                                   '🇺🇲',
                                                                   '',
                                                                   '',
                                                                   '',
                                                                   '',
                                                                   '',
                                                                   '',
                                                                   '',
                                                                   '',
                                                                   '',
                                                                   '',
                                                                   '',
                                                                   '',
                                                                   False,
                                                                   False,
                                                                   False],
    '(?=.*saint|.*st).*martin|^MF$|^MAF$': ['Collectivity of Saint Martin',
                                         'France',
                                         'MF',
                                         'MAF',
                                         663,
                                         '.mf',
                                         '+590',
                                         18.085813,
                                         -63.049643,
                                         'North America',
                                         'Caribbean',
                                         '🇲🇫',
                                         54.4,
                                         54.4,
                                         '',
                                         'Marigot',
                                         '18°04′23″N',
                                         '63°04′56″W',
                                         -63.0822,
                                         18.0731,
                                         38002.0,
                                         '',
                                         '',
                                         '',
                                         False,
                                         False,
                                         False],
    '(?=.*sint|.*st).*maarten|^SX$|^SXM$': ['Sint Maarten',
                                         'Netherlands',
                                         'SX',
                                         'SXM',
                                         534,
                                         '.sx',
                                         '+1 721',
                                         18.041016,
                                         -63.051513,
                                         'North America',
                                         'Caribbean',
                                         '🇸🇽',
                                         34.0,
                                         34.0,
                                         0.0,
                                         'Philipsburg',
                                         '18°01′25″N',
                                         '63°02′45″W',
                                         -63.0458,
                                         18.0236,
                                         40733.0,
                                         '',
                                         '',
                                         '',
                                         False,
                                         False,
                                         False],
    '(?=.*svalbard).*jan mayen|^SJ$|^SJM$': ['Svalbard',
                                          'Norway',
                                          'SJ',
                                          'SJM',
                                          744,
                                          'not assigned',
                                          '+47',
                                          78.792212,
                                          19.159548,
                                          'Europe',
                                          'Northern Europe',
                                          '🇸🇯',
                                          '',
                                          '',
                                          '',
                                          '',
                                          '',
                                          '',
                                          '',
                                          '',
                                          '',
                                          '',
                                          '',
                                          '',
                                          False,
                                          False,
                                          False],
    '(?=.*turks).*caicos|^TC$|^TCA$': ['Turks and Caicos Islands',
                                    'United Kingdom',
                                    'TC',
                                    'TCA',
                                    796,
                                    '.tc',
                                    '+1 649',
                                    21.78032,
                                    -71.755229,
                                    'North America',
                                    'Caribbean',
                                    '🇹🇨',
                                    948.0,
                                    948.0,
                                    0.0,
                                    '',
                                    '',
                                    '',
                                    '',
                                    '',
                                    38191.0,
                                    1197415000.0,
                                    30547.9125,
                                    29253.3766,
                                    False,
                                    False,
                                    False],
    '(?=.*virgin).*(u\.s\.|us$|united states)|^VI$|^VIR$': ['United States '
                                                           'Virgin Islands',
                                                           'United States',
                                                           'VI',
                                                           'VIR',
                                                           850,
                                                           '.vi',
                                                           '+1 340',
                                                           18.335765,
                                                           -64.896335,
                                                           'North America',
                                                           'Caribbean',
                                                           '🇻🇮',
                                                           '',
                                                           '',
                                                           '',
                                                           'Charlotte Amalie',
                                                           '18°21′N',
                                                           '64°57′W',
                                                           -64.95,
                                                           18.35,
                                                           106631.0,
                                                           '',
                                                           '',
                                                           '',
                                                           False,
                                                           False,
                                                           False],
    '(?=.*virgin).*british|^VG$|^VGB$': ['British Virgin Islands',
                                      'United Kingdom',
                                      'VG',
                                      'VGB',
                                      92,
                                      '.vg',
                                      '+1 284',
                                      18.420695,
                                      -64.639968,
                                      'North America',
                                      'Caribbean',
                                      '🇻🇬',
                                      151.0,
                                      151.0,
                                      0.0,
                                      'Road Town',
                                      '18°25′53″N',
                                      '64°37′23″W',
                                      -64.6231,
                                      18.4314,
                                      30030.0,
                                      '',
                                      '',
                                      '',
                                      False,
                                      False,
                                      False],
    '(?=.*wallis).*futuna|^WF$|^WLF$': ['Wallis and Futuna',
                                     'France',
                                     'WF',
                                     'WLF',
                                     876,
                                     '.wf',
                                     '+681',
                                     -13.768752,
                                     -177.156097,
                                     'Oceania',
                                     'Polynesia',
                                     '🇼🇫',
                                     142.0,
                                     142.0,
                                     0.0,
                                     'Mata-Utu',
                                     '13°17′S',
                                     '176°11′W',
                                     -176.1833,
                                     -13.2833,
                                     '',
                                     '',
                                     '',
                                     '',
                                     False,
                                     False,
                                     False],
    '(?=.*western).*sahara|^EH$|^ESH$': ['Western Sahara',
                                      'disputed',
                                      'EH',
                                      'ESH',
                                      732,
                                      'not assigned',
                                      '+212',
                                      24.913479,
                                      -13.42188,
                                      'Africa',
                                      'Northern Africa',
                                      '🇪🇭',
                                      266000.0,
                                      266000.0,
                                      0.0,
                                      '',
                                      '',
                                      '',
                                      '',
                                      '',
                                      '',
                                      '',
                                      '',
                                      '',
                                      False,
                                      False,
                                      False],
    '.*bahamas|^BS$|^BHS$': ['The Bahamas',
                          'UN member state',
                          'BS',
                          'BHS',
                          44,
                          '.bs',
                          '+1 242',
                          25.03428,
                          -77.39628,
                          'North America',
                          'Caribbean',
                          '🇧🇸',
                          13880.0,
                          10010.0,
                          3870.0,
                          'Nassau',
                          '25°4′N',
                          '77°20′W',
                          -77.3333,
                          25.0667,
                          389482.0,
                          13578800000.0,
                          38742.5458,
                          37100.744,
                          False,
                          False,
                          False],
    '.*bailiwick|^GG$|^GGY$': ['Bailiwick of Guernsey',
                            'British Crown',
                            'GG',
                            'GGY',
                            831,
                            '.gg',
                            '+44 1481',
                            49.455257,
                            -2.576448,
                            'Europe',
                            'Northern Europe',
                            '🇬🇬',
                            78.0,
                            78.0,
                            0.0,
                            'St. Peter Port',
                            '49°27′20″N',
                            '2°32′12″W',
                            -2.5367,
                            49.4556,
                            '',
                            '',
                            '',
                            '',
                            False,
                            False,
                            False],
    '.*barthélemy|.*barthelemy|.*barths|.*barts|^BL$|^BLM$': ['Saint Barthélemy',
                                                           'France',
                                                           'BL',
                                                           'BLM',
                                                           652,
                                                           '.bl',
                                                           '+590',
                                                           17.897655,
                                                           -62.829007,
                                                           'North America',
                                                           'Caribbean',
                                                           '🇧🇱',
                                                           25.0,
                                                           25.0,
                                                           '',
                                                           'Gustavia',
                                                           '17°53′52.47″N',
                                                           '62°51′2.0″W',
                                                           -62.8506,
                                                           17.8979,
                                                           '',
                                                           '',
                                                           '',
                                                           '',
                                                           False,
                                                           False,
                                                           False],
    '.*bolivia|^BO$|^BOL$': ['Bolivia',
                          'UN member state',
                          'BO',
                          'BOL',
                          68,
                          '.bo',
                          '+591',
                          -16.564784,
                          -64.25347,
                          'South America',
                          'South America',
                          '🇧🇴',
                          1098581.0,
                          1083301.0,
                          15280.0,
                          'Sucre',
                          '19°3′0″S',
                          '65°15′0″W',
                          -65.25,
                          -19.05,
                          11513100.0,
                          40895322843.7851,
                          9110.5558,
                          8724.4757,
                          False,
                          False,
                          False],
    '.*bonaire|^BQ$|^BES$': ['Bonaire',
                          'Netherlands',
                          'BQ',
                          'BES',
                          535,
                          '.bq',
                          '+599',
                          12.18626,
                          -68.258323,
                          'North America',
                          'Caribbean',
                          '🇧🇶',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          False,
                          False,
                          False],
    '.*british indian|^IO$|^IOT$': ['British Indian Ocean Territory',
                                 'United Kingdom',
                                 'IO',
                                 'IOT',
                                 86,
                                 '.io',
                                 '+246',
                                 -7.328629,
                                 72.444609,
                                 '',
                                 '',
                                 '🇮🇴',
                                 60.0,
                                 60.0,
                                 54340.0,
                                 '',
                                 '',
                                 '',
                                 '',
                                 '',
                                 '',
                                 '',
                                 '',
                                 '',
                                 False,
                                 False,
                                 False],
    '.*brunei|^BN$|^BRN$': ['Brunei',
                         'UN member state',
                         'BN',
                         'BRN',
                         96,
                         '.bn',
                         '+673',
                         4.535277,
                         114.727669,
                         'Asia',
                         'South-Eastern Asia',
                         '🇧🇳',
                         5765.0,
                         5265.0,
                         500.0,
                         'Bandar Seri Begawan',
                         '4°53′25″N',
                         '114°56′32″E',
                         114.9422,
                         4.8903,
                         433285.0,
                         13469422958.5105,
                         64847.6517,
                         62099.5879,
                         False,
                         False,
                         False],
    '.*cayman islands|^KY$|^CYM$': ['Cayman Islands',
                                 'United Kingdom',
                                 'KY',
                                 'CYM',
                                 136,
                                 '.ky',
                                 '+1 345',
                                 19.319566,
                                 -81.232474,
                                 'North America',
                                 'Caribbean',
                                 '🇰🇾',
                                 264.0,
                                 264.0,
                                 0.0,
                                 'George Town',
                                 '19°18′12″N',
                                 '81°23′11″W',
                                 -81.3864,
                                 19.3033,
                                 64948.0,
                                 '',
                                 '',
                                 '',
                                 False,
                                 False,
                                 False],
    '.*central african rep|car$|^CF$|^CAF$': ['Central African Republic',
                                           'UN member state',
                                           'CF',
                                           'CAF',
                                           140,
                                           '.cf',
                                           '+236',
                                           6.611111,
                                           20.939444,
                                           'Africa',
                                           'Middle Africa',
                                           '🇨🇫',
                                           622984.0,
                                           622984.0,
                                           0.0,
                                           'Bangui',
                                           '04°22′24″N',
                                           '18°33′46″E',
                                           18.5628,
                                           4.3733,
                                           4745185.0,
                                           2220307368.69593,
                                           986.6809,
                                           944.8681,
                                           False,
                                           False,
                                           False],
    '.*cocos|^CC$|^CCK$': ['Cocos (Keeling) Islands',
                        'Australia',
                        'CC',
                        'CCK',
                        166,
                        '.cc',
                        '+61',
                        -12.164165,
                        96.870956,
                        '',
                        '',
                        '🇨🇨',
                        14.0,
                        14.0,
                        0.0,
                        'West Island',
                        '12°11′13″S',
                        '96°49′42″E',
                        96.8283,
                        -12.1869,
                        '',
                        '',
                        '',
                        '',
                        False,
                        False,
                        False],
    '.*comoros|^KM$|^COM$': ['Comoros',
                          'UN member state',
                          'KM',
                          'COM',
                          174,
                          '.km',
                          '+269',
                          -11.875001,
                          43.872219,
                          'Africa',
                          'Eastern Africa',
                          '🇰🇲',
                          2235.0,
                          2235.0,
                          0.0,
                          'Moroni',
                          '11°41′56″S',
                          '43°15′22″E',
                          43.2561,
                          -11.6989,
                          850886.0,
                          1165839927.06327,
                          3194.9007,
                          3059.5097,
                          False,
                          False,
                          False],
    '.*cook|^CK$|^COK$': ['Cook Islands',
                       'New Zealand',
                       'CK',
                       'COK',
                       184,
                       '.ck',
                       '+682',
                       -21.236736,
                       -159.777671,
                       'Oceania',
                       'Polynesia',
                       '🇨🇰',
                       236.0,
                       236.0,
                       0.0,
                       'Avarua',
                       '21°12′25″S',
                       '159°46′15″W',
                       -159.7708,
                       -21.2069,
                       '',
                       '',
                       '',
                       '',
                       False,
                       False,
                       False],
    '.*dominican republic|^DO$|^DOM$': ['Dominican Republic',
                                     'UN member state',
                                     'DO',
                                     'DOM',
                                     214,
                                     '.do',
                                     '+1 809, +1 829, +1 849',
                                     18.735693,
                                     -70.162651,
                                     'North America',
                                     'Caribbean',
                                     '🇩🇴',
                                     48670.0,
                                     48320.0,
                                     350.0,
                                     'Santo Domingo',
                                     '18°28′N',
                                     '69°57′W',
                                     -69.95,
                                     18.4667,
                                     10738958.0,
                                     88941299734.2073,
                                     19227.7156,
                                     18412.8983,
                                     False,
                                     False,
                                     False],
    '.*equatorial guinea|^GQ$|^GNQ$': ['Equatorial Guinea',
                                    'UN member state',
                                    'GQ',
                                    'GNQ',
                                    226,
                                    '.gq',
                                    '+240',
                                    1.604619,
                                    10.455341,
                                    'Africa',
                                    'Middle Africa',
                                    '🇬🇶',
                                    28051.0,
                                    28051.0,
                                    0.0,
                                    'Malabo',
                                    '3°45′7.43″N',
                                    '8°46′25.32″E',
                                    8.7737,
                                    3.7521,
                                    1355986.0,
                                    11026774945.3415,
                                    19379.2425,
                                    18558.0039,
                                    False,
                                    False,
                                    False],
    '.*falkland|^FK$|^FLK$': ['Falkland Islands',
                           'United Kingdom',
                           'FK',
                           'FLK',
                           238,
                           '.fk',
                           '+500',
                           -51.796253,
                           -59.523613,
                           'South America',
                           'South America',
                           '🇫🇰',
                           12173.0,
                           12173.0,
                           0.0,
                           'Stanley',
                           '51°41′40″S',
                           '57°51′10″W',
                           -57.8528,
                           -51.6944,
                           '',
                           '',
                           '',
                           '',
                           False,
                           False,
                           False],
    '.*faroe|^FO$|^FRO$': ['Faroe Islands',
                        'Denmark',
                        'FO',
                        'FRO',
                        234,
                        '.fo',
                        '+298',
                        62.042103,
                        -6.893899,
                        'Europe',
                        'Northern Europe',
                        '🇫🇴',
                        1393.0,
                        1393.0,
                        0.0,
                        'Tórshavn',
                        '62°0′42″N',
                        '6°46′3″W',
                        -6.7675,
                        62.0117,
                        48678.0,
                        '',
                        '',
                        '',
                        False,
                        False,
                        False],
    '.*french southern|^TF$|^ATF$': ['French Southern and Antarctic Lands',
                                  'France',
                                  'TF',
                                  'ATF',
                                  260,
                                  '.tf',
                                  '',
                                  -49.280366,
                                  69.348557,
                                  '',
                                  '',
                                  '🇹🇫',
                                  '',
                                  '',
                                  '',
                                  '',
                                  '',
                                  '',
                                  '',
                                  '',
                                  '',
                                  '',
                                  '',
                                  '',
                                  False,
                                  False,
                                  False],
    '.*gabon|^GA$|^GAB$': ['Gabon',
                        'UN member state',
                        'GA',
                        'GAB',
                        266,
                        '.ga',
                        '+241',
                        -0.803689,
                        11.609444,
                        'Africa',
                        'Middle Africa',
                        '🇬🇦',
                        267667.0,
                        257667.0,
                        10000.0,
                        'Libreville',
                        '0°23′24″N',
                        '9°27′0″E',
                        9.45,
                        0.39,
                        2172579.0,
                        16874450215.1351,
                        15611.6486,
                        14950.0702,
                        False,
                        False,
                        False],
    '.*gambia|^GM$|^GMB$': ['The Gambia',
                         'UN member state',
                         'GM',
                         'GMB',
                         270,
                         '.gm',
                         '+220',
                         13.516506,
                         -15.404133,
                         'Africa',
                         'Western Africa',
                         '🇬🇲',
                         11300.0,
                         10120.0,
                         1180.0,
                         'Banjul',
                         '13°27′11″N',
                         '16°34′39″W',
                         -16.5775,
                         13.4531,
                         2347706.0,
                         1826073739.82522,
                         2321.2377,
                         2222.8701,
                         False,
                         False,
                         False],
    '.*ghana|^GH$|^GHA$': ['Ghana',
                        'UN member state',
                        'GH',
                        'GHA',
                        288,
                        '.gh',
                        '+233',
                        7.946527,
                        -1.023194,
                        'Africa',
                        'Western Africa',
                        '🇬🇭',
                        238533.0,
                        227533.0,
                        11000.0,
                        'Accra',
                        '5°33′N',
                        '0°12′W',
                        -0.2,
                        5.55,
                        30417856.0,
                        66983634223.943,
                        5652.1506,
                        5412.6281,
                        False,
                        False,
                        False],
    '.*heard|^HM$|^HMD$': ['Heard Island and McDonald Islands',
                        'Australia',
                        'HM',
                        'HMD',
                        334,
                        '.hm',
                        '+672',
                        -53.08181,
                        73.504158,
                        '',
                        '',
                        '🇭🇲',
                        412.0,
                        412.0,
                        0.0,
                        '',
                        '',
                        '',
                        '',
                        '',
                        '',
                        '',
                        '',
                        '',
                        False,
                        False,
                        False],
    '.*helena|.*ascension|^SH$|^SHN$': ['Saint Helena',
                                     'United Kingdom',
                                     'SH',
                                     'SHN',
                                     654,
                                     '.sh',
                                     '+290',
                                     -15.967011,
                                     -5.704086,
                                     'Africa',
                                     'Western Africa',
                                     '🇸🇭',
                                     394.0,
                                     122.0,
                                     0.0,
                                     'Georgetown',
                                     '7°55′43″S',
                                     '14°24′42″W',
                                     -14.4117,
                                     -7.9286,
                                     '',
                                     '',
                                     '',
                                     '',
                                     False,
                                     False,
                                     False],
    '.*holy see|.*vatican|^VA$|^VAT$': ['Holy See',
                                     'UN observer',
                                     'VA',
                                     'VAT',
                                     336,
                                     '.va',
                                     '+379',
                                     41.902916,
                                     12.453389,
                                     'Europe',
                                     'Southern Europe',
                                     '🇻🇦',
                                     0.44,
                                     0.44,
                                     0.0,
                                     'Vatican City',
                                     '41°54′09″N',
                                     '12°27′09″E',
                                     12.4525,
                                     41.9025,
                                     '',
                                     '',
                                     '',
                                     '',
                                     False,
                                     False,
                                     False],
    '.*iran|^IR$|^IRN$': ['Iran',
                       'UN member state',
                       'IR',
                       'IRN',
                       364,
                       '.ir',
                       '+98',
                       32.427908,
                       53.688046,
                       'Asia',
                       'Southern Asia',
                       '🇮🇷',
                       1648195.0,
                       1531595.0,
                       116600.0,
                       'Tehran',
                       '35°41′21″N',
                       '51°23′20″E',
                       51.3889,
                       35.6892,
                       82913906.0,
                       '',
                       12937.476,
                       12389.2216,
                       False,
                       False,
                       False],
    '.*iraq|^IQ$|^IRQ$': ['Iraq',
                       'UN member state',
                       'IQ',
                       'IRQ',
                       368,
                       '.iq',
                       '+964',
                       33.223191,
                       43.679291,
                       'Asia',
                       'Western Asia',
                       '🇮🇶',
                       438317.0,
                       437367.0,
                       950.0,
                       'Baghdad',
                       '33°20′N',
                       '44°23′E',
                       44.3833,
                       33.3333,
                       39309783.0,
                       234094042938.917,
                       11362.6915,
                       10881.1721,
                       False,
                       False,
                       False],
    '.*isle of man|^IM$|^IMN$': ['Isle of Man',
                              'British Crown',
                              'IM',
                              'IMN',
                              833,
                              '.im',
                              '+44 1624',
                              54.220637,
                              -4.523086,
                              'Europe',
                              'Northern Europe',
                              '🇮🇲',
                              572.0,
                              572.0,
                              0.0,
                              'Douglas',
                              '54°08′42″N',
                              '4°28′55″W',
                              -4.4819,
                              54.145,
                              84584.0,
                              '',
                              '',
                              '',
                              False,
                              False,
                              False],
    '.*kiribati|^KI$|^KIR$': ['Kiribati',
                           'UN member state',
                           'KI',
                           'KIR',
                           296,
                           '.ki',
                           '+686',
                           -3.370417,
                           -168.734039,
                           'Oceania',
                           'Micronesia',
                           '🇰🇮',
                           811.0,
                           811.0,
                           0.0,
                           'Tarawa',
                           '1°20′N',
                           '173°00′E',
                           173.0,
                           1.3333,
                           117606.0,
                           194647201.946472,
                           2372.4514,
                           2271.9134,
                           False,
                           False,
                           False],
    '.*kitts|^KN$|^KNA$': ['Saint Kitts and Nevis',
                        'UN member state',
                        'KN',
                        'KNA',
                        659,
                        '.kn',
                        '+1 869',
                        17.357822,
                        -62.782998,
                        'North America',
                        'Caribbean',
                        '🇰🇳',
                        261.0,
                        261.0,
                        0.0,
                        'Basseterre',
                        '17°18′N',
                        '62°44′W',
                        -62.7333,
                        17.3,
                        52834.0,
                        1053244444.44444,
                        27608.135,
                        26438.1787,
                        False,
                        False,
                        False],
    '.*kyrgyz|^KG$|^KGZ$': ['Kyrgyzstan',
                         'UN member state',
                         'KG',
                         'KGZ',
                         417,
                         '.kg',
                         '+996',
                         41.567437,
                         74.895384,
                         'Asia',
                         'Central Asia',
                         '🇰🇬',
                         199951.0,
                         191801.0,
                         8150.0,
                         'Bishkek',
                         '42°52′29″N',
                         '74°36′44″E',
                         74.6122,
                         42.8747,
                         6456900.0,
                         8454619607.81795,
                         5485.5603,
                         5253.0975,
                         False,
                         False,
                         False],
    '.*lao|^LA$|^LAO$': ['Laos',
                      'UN member state',
                      'LA',
                      'LAO',
                      418,
                      '.la',
                      '+856',
                      19.85627,
                      102.495496,
                      'Asia',
                      'South-Eastern Asia',
                      '🇱🇦',
                      236800.0,
                      230800.0,
                      6000.0,
                      'Vientiane',
                      '17°58′N',
                      '102°36′E',
                      102.6,
                      17.9667,
                      7169455.0,
                      18173839147.4011,
                      8172.7261,
                      7826.3886,
                      False,
                      False,
                      False],
    '.*lucia|^LC$|^LCA$': ['Saint Lucia',
                        'UN member state',
                        'LC',
                        'LCA',
                        662,
                        '.lc',
                        '+1 758',
                        13.909444,
                        -60.978893,
                        'North America',
                        'Caribbean',
                        '🇱🇨',
                        616.0,
                        606.0,
                        10.0,
                        'Castries',
                        '14°01′N',
                        '60°59′W',
                        -60.9833,
                        14.0167,
                        182790.0,
                        2122450629.62963,
                        16132.4145,
                        15448.7675,
                        False,
                        False,
                        False],
    '.*macao|.*macau|^MO$|^MAC$': ['Macau',
                                'China',
                                'MO',
                                'MAC',
                                446,
                                '.mo',
                                '+853',
                                22.198745,
                                113.543873,
                                'Asia',
                                'Eastern Asia',
                                '🇲🇴',
                                28.2,
                                28.2,
                                0.0,
                                '',
                                '',
                                '',
                                '',
                                '',
                                640445.0,
                                53859116535.5306,
                                129451.0639,
                                123965.2864,
                                False,
                                False,
                                False],
    '.*macedonia|^MK$|^MKD$': ['North Macedonia',
                            'UN member state',
                            'MK',
                            'MKD',
                            807,
                            '.mk',
                            '+389',
                            41.608635,
                            21.745275,
                            'Europe',
                            'Southern Europe',
                            '🇲🇰',
                            25713.0,
                            25433.0,
                            280.0,
                            'Skopje',
                            '42°0′N',
                            '21°26′E',
                            21.4333,
                            42.0,
                            2083459.0,
                            12547040498.9077,
                            17607.4749,
                            16479.0047,
                            False,
                            False,
                            False],
    '.*mariana|^MP$|^MNP$': ['Northern Mariana Islands',
                          'United States',
                          'MP',
                          'MNP',
                          580,
                          '.mp',
                          '+1 670',
                          17.33083,
                          145.38469,
                          'Oceania',
                          'Micronesia',
                          '🇲🇵',
                          464.0,
                          464.0,
                          0.0,
                          'Saipan',
                          '15°11′N',
                          '145°45′E',
                          145.75,
                          15.1833,
                          57216.0,
                          '',
                          '',
                          '',
                          False,
                          False,
                          False],
    '.*marshall|^MH$|^MHL$': ['Marshall Islands',
                           'UN member state',
                           'MH',
                           'MHL',
                           584,
                           '.mh',
                           '+692',
                           7.131474,
                           171.184478,
                           'Oceania',
                           'Micronesia',
                           '🇲🇭',
                           181.0,
                           181.0,
                           0.0,
                           'Majuro',
                           '7°05′N',
                           '171°23′E',
                           171.3833,
                           7.0833,
                           58791.0,
                           '',
                           '',
                           '',
                           False,
                           False,
                           False],
    '.*mayotte|^YT$|^MYT$': ['Mayotte',
                          'France',
                          'YT',
                          'MYT',
                          175,
                          '.yt',
                          '+262',
                          -12.8275,
                          45.166244,
                          'Africa',
                          'Eastern Africa',
                          '🇾🇹',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          False,
                          False,
                          False],
    '.*micronesia|^FM$|^FSM$': ['Federated States of Micronesia',
                             'UN member state',
                             'FM',
                             'FSM',
                             583,
                             '.fm',
                             '+691',
                             7.425554,
                             150.550812,
                             'Oceania',
                             'Micronesia',
                             '🇫🇲',
                             702.0,
                             702.0,
                             0.0,
                             'Palikir',
                             '6°55′2″N',
                             '158°9′32″E',
                             158.1589,
                             6.9172,
                             113815.0,
                             '',
                             '',
                             '',
                             False,
                             False,
                             False],
    '.*miquelon|^PM$|^SPM$': ['Saint Pierre and Miquelon',
                           'France',
                           'PM',
                           'SPM',
                           666,
                           '.pm',
                           '+508',
                           46.961783,
                           -56.326792,
                           'North America',
                           'Northern America',
                           '🇵🇲',
                           242.0,
                           242.0,
                           0.0,
                           'St. Pierre',
                           '46°46′40″N',
                           '56°10′40″W',
                           -56.1778,
                           46.7778,
                           '',
                           '',
                           '',
                           '',
                           False,
                           False,
                           False],
    '.*moldova|^MD$|^MDA$': ['Moldova',
                          'UN member state',
                          'MD',
                          'MDA',
                          498,
                          '.md',
                          '+373',
                          47.217536,
                          28.607661,
                          'Europe',
                          'Eastern Europe',
                          '🇲🇩',
                          33851.0,
                          32891.0,
                          960.0,
                          'Chişinău',
                          '47°01′22.3932″N',
                          '28°50′07.2060″E',
                          28.8353,
                          47.0229,
                          2657637.0,
                          11968713370.4969,
                          13626.9863,
                          13049.5123,
                          False,
                          False,
                          False],
    '.*netherlands$|^NL$|^NLD$': ['Netherlands',
                               'UN member state',
                               'NL',
                               'NLD',
                               528,
                               '.nl',
                               '+31',
                               52.132633,
                               5.291266,
                               'Europe',
                               'Western Europe',
                               '🇳🇱',
                               41543.0,
                               33893.0,
                               7650.0,
                               'Amsterdam',
                               '52°22′N',
                               '4°54′E',
                               4.9,
                               52.3667,
                               17332850.0,
                               907050863145.097,
                               59554.2352,
                               56935.1089,
                               True,
                               True,
                               True],
    '.*nicaragua|^NI$|^NIC$': ['Nicaragua',
                            'UN member state',
                            'NI',
                            'NIC',
                            558,
                            '.ni',
                            '+505',
                            12.782944,
                            -85.013674,
                            'North America',
                            'Central America',
                            '🇳🇮',
                            130370.0,
                            119990.0,
                            10380.0,
                            'Managua',
                            '12°8′11″N',
                            '86°15′5″W',
                            -86.2514,
                            12.1364,
                            6545502.0,
                            12520915291.1837,
                            5646.3995,
                            5407.1207,
                            False,
                            False,
                            False],
    '.*palestine|^PS$|^PSE$': ['State of Palestine',
                            'UN observer',
                            'PS',
                            'PSE',
                            275,
                            '.ps',
                            '+970',
                            32.011718,
                            35.296941,
                            'Asia',
                            'Western Asia',
                            '🇵🇸',
                            '',
                            '',
                            '',
                            '',
                            '',
                            '',
                            '',
                            '',
                            4685306.0,
                            '',
                            6495.2093,
                            6219.9603,
                            False,
                            False,
                            False],
    '.*papua new guinea|^PG$|^PNG$': ['Papua New Guinea',
                                   'UN member state',
                                   'PG',
                                   'PNG',
                                   598,
                                   '.pg',
                                   '+675',
                                   -6.314993,
                                   143.95555,
                                   'Oceania',
                                   'Melanesia',
                                   '🇵🇬',
                                   462840.0,
                                   452860.0,
                                   9980.0,
                                   'Port Moresby',
                                   '9°28′44″S',
                                   '147°08′58″E',
                                   147.1494,
                                   -9.4789,
                                   8776109.0,
                                   24829107011.0701,
                                   4547.5638,
                                   4354.8506,
                                   False,
                                   False,
                                   False],
    '.*philippines|^PH$|^PHL$': ['Philippines',
                              'UN member state',
                              'PH',
                              'PHL',
                              608,
                              '.ph',
                              '+63',
                              12.879721,
                              121.774017,
                              'Asia',
                              'South-Eastern Asia',
                              '🇵🇭',
                              300000.0,
                              298170.0,
                              1830.0,
                              'Manila',
                              '14°35′45″N',
                              '120°58′38″E',
                              120.9772,
                              14.5958,
                              108116615.0,
                              376795508678.853,
                              9302.3853,
                              8908.176,
                              False,
                              False,
                              False],
    '.*pitcairn|^PN$|^PCN$': ['Pitcairn Islands',
                           'United Kingdom',
                           'PN',
                           'PCN',
                           612,
                           '.pn',
                           '+64',
                           -24.703615,
                           -127.439308,
                           'Oceania',
                           'Polynesia',
                           '🇵🇳',
                           47.0,
                           47.0,
                           0.0,
                           'Adamstown',
                           '25°4′S',
                           '130°6′W',
                           -130.1,
                           -25.0667,
                           '',
                           '',
                           '',
                           '',
                           False,
                           False,
                           False],
    '.*puerto rico|^PR$|^PRI$': ['Puerto Rico',
                              'United States',
                              'PR',
                              'PRI',
                              630,
                              '.pr',
                              '+1 787, +1 939',
                              18.211562,
                              -66.455213,
                              'North America',
                              'Caribbean',
                              '🇵🇷',
                              9104.0,
                              8959.0,
                              145.0,
                              'San Juan',
                              '18°24′23″N',
                              '66°3′50″W',
                              -66.0639,
                              18.4064,
                              3193694.0,
                              104988600000.0,
                              36045.1049,
                              34517.6132,
                              False,
                              False,
                              False],
    '.*russia|^RU$|^RUS$': ['Russia',
                         'UN member state',
                         'RU',
                         'RUS',
                         643,
                         '.ru',
                         '+7',
                         62.206762,
                         94.444975,
                         'Europe',
                         'Eastern Europe',
                         '🇷🇺',
                         17098242.0,
                         16377742.0,
                         720500.0,
                         'Moscow',
                         '55°45′21″N',
                         '37°37′2″E',
                         37.6172,
                         55.7558,
                         144373535.0,
                         1699876578871.35,
                         29181.3632,
                         27043.9354,
                         False,
                         False,
                         False],
    '.*salvador|^SV$|^SLV$': ['El Salvador',
                           'UN member state',
                           'SV',
                           'SLV',
                           222,
                           '.sv',
                           '+503',
                           13.794185,
                           -88.89653,
                           'North America',
                           'Central America',
                           '🇸🇻',
                           21041.0,
                           20721.0,
                           320.0,
                           'San Salvador',
                           '13°41′56″N',
                           '89°11′29″W',
                           -89.1914,
                           13.6989,
                           6453553.0,
                           27022640000.0,
                           9164.3461,
                           8775.9865,
                           False,
                           False,
                           False],
    '.*sandwich|^GS$|^SGS$': ['South Georgia and the South Sandwich Islands',
                           'United Kingdom',
                           'GS',
                           'SGS',
                           239,
                           '.gs',
                           '+500',
                           -54.429579,
                           -36.587909,
                           '',
                           '',
                           '🇬🇸',
                           3903.0,
                           3903.0,
                           0.0,
                           'King Edward Point',
                           '54°17′00″S',
                           '36°30′00″W',
                           -36.5,
                           -54.2833,
                           '',
                           '',
                           '',
                           '',
                           False,
                           False,
                           False],
    '.*seychelles|^SC$|^SYC$': ['Seychelles',
                             'UN member state',
                             'SC',
                             'SYC',
                             690,
                             '.sc',
                             '+248',
                             -4.679574,
                             55.491977,
                             'Africa',
                             'Eastern Africa',
                             '🇸🇨',
                             455.0,
                             455.0,
                             0.0,
                             'Victoria',
                             '4°37′S',
                             '55°27′E',
                             55.45,
                             -4.6167,
                             97625.0,
                             1703387387.32319,
                             30516.6773,
                             29223.465,
                             False,
                             False,
                             False],
    '.*sierra leone|selone|^SL$|^SLE$': ['Sierra Leone',
                                      'UN member state',
                                      'SL',
                                      'SLE',
                                      694,
                                      '.sl',
                                      '+232',
                                      8.460555,
                                      -11.779889,
                                      'Africa',
                                      'Western Africa',
                                      '🇸🇱',
                                      71740.0,
                                      71620.0,
                                      120.0,
                                      'Freetown',
                                      '8°29′4″N',
                                      '13°14′4″W',
                                      -13.2344,
                                      8.4844,
                                      7813215.0,
                                      4121733705.29165,
                                      1794.3148,
                                      1718.2767,
                                      False,
                                      False,
                                      False],
    '.*slovak|^SK$|^SVK$': ['Slovakia',
                         'UN member state',
                         'SK',
                         'SVK',
                         703,
                         '.sk',
                         '+421',
                         48.669026,
                         19.699024,
                         'Europe',
                         'Eastern Europe',
                         '🇸🇰',
                         49035.0,
                         48105.0,
                         930.0,
                         'Bratislava',
                         '48°08′38″N',
                         '17°06′35″E',
                         17.1097,
                         48.1439,
                         5454073.0,
                         105079673009.733,
                         34066.8713,
                         32730.3108,
                         True,
                         True,
                         True],
    '.*syria|^SY$|^SYR$': ['Syria',
                        'UN member state',
                        'SY',
                        'SYR',
                        760,
                        '.sy',
                        '+963',
                        35.024716,
                        38.597095,
                        'Asia',
                        'Western Asia',
                        '🇸🇾',
                        187437.0,
                        185887.0,
                        1550.0,
                        'Damascus',
                        '33°30′47″N',
                        '36°17′31″E',
                        36.2919,
                        33.5131,
                        17070135.0,
                        '',
                        '',
                        '',
                        False,
                        False,
                        False],
    '.*tanzania|^TZ$|^TZA$': ['Tanzania',
                           'UN member state',
                           'TZ',
                           'TZA',
                           834,
                           '.tz',
                           '+255',
                           -6.369028,
                           34.888822,
                           'Africa',
                           'Eastern Africa',
                           '🇹🇿',
                           947300.0,
                           885800.0,
                           61500.0,
                           'Dodoma',
                           '6°10′23″S',
                           '35°44′31″E',
                           35.7419,
                           -6.1731,
                           58005463.0,
                           63177068174.549,
                           2770.6812,
                           2660.4203,
                           False,
                           False,
                           False],
    '.*tome|.*tomé|^ST$|^STP$': ['São Tomé and Príncipe',
                              'UN member state',
                              'ST',
                              'STP',
                              678,
                              '.st',
                              '+239',
                              0.250674,
                              6.604415,
                              'Africa',
                              'Middle Africa',
                              '🇸🇹',
                              964.0,
                              964.0,
                              0.0,
                              'São Tomé',
                              '0°20′10″N',
                              '6°43′50″E',
                              6.7306,
                              0.3361,
                              215056.0,
                              418637388.988052,
                              4145.227,
                              3969.5638,
                              False,
                              False,
                              False],
    '.*trinidad|.*tobago|^TT$|^TTO$': ['Trinidad and Tobago',
                                    'UN member state',
                                    'TT',
                                    'TTO',
                                    780,
                                    '.tt',
                                    '+1 868',
                                    10.448289,
                                    -61.257943,
                                    'North America',
                                    'Caribbean',
                                    '🇹🇹',
                                    5128.0,
                                    5128.0,
                                    0.0,
                                    'Port of Spain',
                                    '10°40′N',
                                    '61°31′W',
                                    -61.5167,
                                    10.6667,
                                    1394973.0,
                                    24269714809.9078,
                                    27334.184,
                                    26175.837,
                                    False,
                                    False,
                                    False],
    '.*united arab emirates|UAE|^AE$|^ARE$': ['United Arab Emirates',
                                           'UN member state',
                                           'AE',
                                           'ARE',
                                           784,
                                           '.ae',
                                           '+971',
                                           23.980666,
                                           54.573994,
                                           'Asia',
                                           'Western Asia',
                                           '🇦🇪',
                                           83600.0,
                                           83600.0,
                                           0.0,
                                           'Abu Dhabi',
                                           '24°28′N',
                                           '54°22′E',
                                           54.3667,
                                           24.4667,
                                           9770529.0,
                                           421142267937.65,
                                           70089.324,
                                           67119.1326,
                                           False,
                                           False,
                                           False],
    '.*vincent|.*grenadines|^VC$|^VCT$': ['Saint Vincent and the Grenadines',
                                       'UN member state',
                                       'VC',
                                       'VCT',
                                       670,
                                       '.vc',
                                       '+1 784',
                                       13.250843,
                                       -61.189338,
                                       'North America',
                                       'Caribbean',
                                       '🇻🇨',
                                       389.0,
                                       389.0,
                                       0.0,
                                       'Kingstown',
                                       '13°09′28″N',
                                       '061°13′30″W',
                                       -61.225,
                                       13.1578,
                                       110589.0,
                                       824718518.518518,
                                       13037.6811,
                                       12485.1803,
                                       False,
                                       False,
                                       False],
    '^(?=.*america).*samoa.*|^AS$|^ASM$': ['American Samoa',
                                        'United States',
                                        'AS',
                                        'ASM',
                                        16,
                                        '.as',
                                        '+1 684',
                                        -14.270972,
                                        -170.132217,
                                        'Oceania',
                                        'Polynesia',
                                        '🇦🇸',
                                        224.0,
                                        224.0,
                                        0.0,
                                        'Pago Pago',
                                        '14°16′46″S',
                                        '170°42′02″W',
                                        -170.7006,
                                        -14.2794,
                                        55312.0,
                                        '',
                                        '',
                                        '',
                                        False,
                                        False,
                                        False],
    'afghanistan|^AF$|^AFG$': ['Afghanistan',
                            'UN member state',
                            'AF',
                            'AFG',
                            4,
                            '.af',
                            '+93',
                            34.095632,
                            66.26486,
                            'Asia',
                            'Southern Asia',
                            '🇦🇫',
                            652230.0,
                            652230.0,
                            0.0,
                            'Kabul',
                            '34°31′31″N',
                            '69°10′42″E',
                            69.1783,
                            34.5253,
                            38041754.0,
                            19291104007.8299,
                            2156.4195,
                            2065.0364,
                            False,
                            False,
                            False],
    'albania|^AL$|^ALB$': ['Albania',
                        'UN member state',
                        'AL',
                        'ALB',
                        8,
                        '.al',
                        '+355',
                        41.1413,
                        19.978775,
                        'Europe',
                        'Southern Europe',
                        '🇦🇱',
                        28748.0,
                        27398.0,
                        1350.0,
                        'Tirana',
                        '41°19′44″N',
                        '19°49′04″E',
                        19.8178,
                        41.3289,
                        2854191.0,
                        15279183289.9372,
                        14496.1277,
                        13965.349,
                        False,
                        False,
                        False],
    'algeria|^DZ$|^DZA$': ['Algeria',
                        'UN member state',
                        'DZ',
                        'DZA',
                        12,
                        '.dz',
                        '+213',
                        28.033886,
                        1.659626,
                        'Africa',
                        'Northern Africa',
                        '🇩🇿',
                        2381740.0,
                        2381740.0,
                        0.0,
                        'Algiers',
                        '36°45′14″N',
                        '3°3′32″E',
                        3.0589,
                        36.7539,
                        43053054.0,
                        171091289782.245,
                        12019.9284,
                        11510.5571,
                        False,
                        False,
                        False],
    'andorra|^AD$|^AND$': ['Andorra',
                        'UN member state',
                        'AD',
                        'AND',
                        20,
                        '.ad',
                        '+376',
                        42.546245,
                        1.601554,
                        'Europe',
                        'Southern Europe',
                        '🇦🇩',
                        468.0,
                        468.0,
                        0.0,
                        'Andorra la Vella',
                        '42°30′N',
                        '01°30′E',
                        1.5,
                        42.5,
                        77142.0,
                        3154057987.23833,
                        '',
                        '',
                        False,
                        False,
                        False],
    'angola|^AO$|^AGO$': ['Angola',
                       'UN member state',
                       'AO',
                       'AGO',
                       24,
                       '.ao',
                       '+244',
                       -12.275669,
                       17.995442,
                       'Africa',
                       'Middle Africa',
                       '🇦🇴',
                       1246700.0,
                       1246700.0,
                       0.0,
                       'Luanda',
                       '8°50′18″S',
                       '13°14′04″E',
                       13.2344,
                       -8.8383,
                       31825295.0,
                       88815697793.303,
                       6965.5114,
                       6670.3323,
                       False,
                       False,
                       False],
    'anguilla|^AI$|^AIA$': ['Anguilla',
                         'United Kingdom',
                         'AI',
                         'AIA',
                         660,
                         '.ai',
                         '+1 264',
                         18.223002,
                         -63.049885,
                         'North America',
                         'Caribbean',
                         '🇦🇮',
                         91.0,
                         91.0,
                         0.0,
                         'The Valley',
                         '18°13′15″N',
                         '63°03′06″W',
                         -63.0517,
                         18.2208,
                         '',
                         '',
                         '',
                         '',
                         False,
                         False,
                         False],
    'antarctic|^AQ$|^ATA$': ['Antarctica',
                          'Antarctic Treaty',
                          'AQ',
                          'ATA',
                          10,
                          '.aq',
                          '+672',
                          -75.250973,
                          -0.071389,
                          '',
                          '',
                          '🇦🇶',
                          14200000.0,
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          '',
                          False,
                          False,
                          False],
    'antigua|barbuda|^AG$|^ATG$': ['Antigua and Barbuda',
                                'UN member state',
                                'AG',
                                'ATG',
                                28,
                                '.ag',
                                '+1 268',
                                17.060816,
                                -61.796428,
                                'North America',
                                'Caribbean',
                                '🇦🇬',
                                442.6,
                                442.6,
                                0.0,
                                "St. John's",
                                '17°07′N',
                                '61°51′W',
                                -61.85,
                                17.1167,
                                97118.0,
                                1661962962.96296,
                                22879.7661,
                                21910.185,
                                False,
                                False,
                                False],
    'argentina|^AR$|^ARG$': ['Argentina',
                          'UN member state',
                          'AR',
                          'ARG',
                          32,
                          '.ar',
                          '+54',
                          -35.581245,
                          -64.285895,
                          'South America',
                          'South America',
                          '🇦🇷',
                          2780400.0,
                          2736690.0,
                          43710.0,
                          'Buenos Aires',
                          '34°36′12″S',
                          '58°22′54″W',
                          -58.3817,
                          -34.6033,
                          44938712.0,
                          445445177459.426,
                          23040.288,
                          22063.9044,
                          False,
                          False,
                          False],
    'armenia|^AM$|^ARM$': ['Armenia',
                        'UN member state',
                        'AM',
                        'ARM',
                        51,
                        '.am',
                        '+374',
                        40.255271,
                        44.96784,
                        'Asia',
                        'Western Asia',
                        '🇦🇲',
                        29743.0,
                        28203.0,
                        1540.0,
                        'Yerevan',
                        '40°10′53″N',
                        '44°30′52″E',
                        44.5144,
                        40.1814,
                        2957731.0,
                        13672802157.8324,
                        14257.9625,
                        13653.7495,
                        False,
                        False,
                        False],
    'aruba|^AW$|^ABW$': ['Aruba',
                      'Netherlands',
                      'AW',
                      'ABW',
                      533,
                      '.aw',
                      '+297',
                      12.52111,
                      -69.968338,
                      'North America',
                      'Caribbean',
                      '🇦🇼',
                      180.0,
                      180.0,
                      0.0,
                      'Oranjestad',
                      '12°31′07″N',
                      '70°02′09″W',
                      -70.0358,
                      12.5186,
                      106314.0,
                      '',
                      '',
                      '',
                      False,
                      False,
                      False],
    'australia|^AU$|^AUS$': ['Australia',
                          'UN member state',
                          'AU',
                          'AUS',
                          36,
                          '.au',
                          '+61',
                          -25.274398,
                          133.775136,
                          'Oceania',
                          'Australia and New Zealand',
                          '🇦🇺',
                          7741220.0,
                          7682300.0,
                          58920.0,
                          'Canberra',
                          '35°17′35″S',
                          '149°07′37″E',
                          149.1269,
                          -35.2931,
                          25364307.0,
                          1396567014733.23,
                          53469.065,
                          49854.0903,
                          True,
                          False,
                          False],
    'austria|^AT$|^AUT$': ['Austria',
                        'UN member state',
                        'AT',
                        'AUT',
                        40,
                        '.at',
                        '+43',
                        47.581819,
                        14.157768,
                        'Europe',
                        'Western Europe',
                        '🇦🇹',
                        83871.0,
                        82445.0,
                        1426.0,
                        'Vienna',
                        '48°12′N',
                        '16°22′E',
                        16.3667,
                        48.2,
                        8877067.0,
                        445075391688.156,
                        58946.4216,
                        56187.584,
                        True,
                        True,
                        True],
    'azerbaijan|^AZ$|^AZE$': ['Azerbaijan',
                           'UN member state',
                           'AZ',
                           'AZE',
                           31,
                           '.az',
                           '+994',
                           40.484555,
                           47.739592,
                           'Asia',
                           'Western Asia',
                           '🇦🇿',
                           86600.0,
                           82629.0,
                           3971.0,
                           'Baku',
                           '40°23′43″N',
                           '49°52′56″E',
                           49.8822,
                           40.3953,
                           10023318.0,
                           48047647058.8235,
                           15041.2573,
                           14403.8505,
                           False,
                           False,
                           False],
    'bahrain|^BH$|^BHR$': ['Bahrain',
                        'UN member state',
                        'BH',
                        'BHR',
                        48,
                        '.bh',
                        '+973',
                        26.059835,
                        50.550507,
                        'Asia',
                        'Western Asia',
                        '🇧🇭',
                        760.0,
                        760.0,
                        0.0,
                        'Manama',
                        '26°13′N',
                        '50°35′E',
                        50.5833,
                        26.2167,
                        1641172.0,
                        38574069148.9362,
                        47002.5493,
                        45010.7115,
                        False,
                        False,
                        False],
    'bangladesh|^BD$|^BGD$': ['Bangladesh',
                           'UN member state',
                           'BD',
                           'BGD',
                           50,
                           '.bd',
                           '+880',
                           23.684994,
                           90.356331,
                           'Asia',
                           'Southern Asia',
                           '🇧🇩',
                           148460.0,
                           130170.0,
                           18290.0,
                           'Dhaka',
                           '23°45′50″N',
                           '90°23′20″E',
                           90.3889,
                           23.7639,
                           163046161.0,
                           302571254131.135,
                           4964.0914,
                           4753.7269,
                           False,
                           False,
                           False],
    'barbados|^BB$|^BRB$': ['Barbados',
                         'UN member state',
                         'BB',
                         'BRB',
                         52,
                         '.bb',
                         '+1 246',
                         13.169054,
                         -59.555174,
                         'North America',
                         'Caribbean',
                         '🇧🇧',
                         430.0,
                         430.0,
                         0.0,
                         'Bridgetown',
                         '13°05′51″N',
                         '59°37′00″W',
                         -59.6167,
                         13.0975,
                         287025.0,
                         5209000000.0,
                         16330.8877,
                         15638.8299,
                         False,
                         False,
                         False],
    'belarus|^BY$|^BLR$': ['Belarus',
                        'UN member state',
                        'BY',
                        'BLR',
                        112,
                        '.by',
                        '+375',
                        53.709807,
                        27.953389,
                        'Europe',
                        'Eastern Europe',
                        '🇧🇾',
                        207600.0,
                        202900.0,
                        4700.0,
                        'Minsk',
                        '53°54′N',
                        '27°34′E',
                        27.5667,
                        53.9,
                        9466856.0,
                        63080457022.6599,
                        19997.0578,
                        19149.6378,
                        False,
                        False,
                        False],
    'belgium|^BE$|^BEL$': ['Belgium',
                        'UN member state',
                        'BE',
                        'BEL',
                        56,
                        '.be',
                        '+32',
                        50.743715,
                        4.544685,
                        'Europe',
                        'Western Europe',
                        '🇧🇪',
                        30528.0,
                        30278.0,
                        250.0,
                        'City of Brussels',
                        '50°50′48″N',
                        '04°21′09″E',
                        4.3525,
                        50.8467,
                        11484055.0,
                        533097455834.509,
                        54904.6691,
                        51934.1255,
                        True,
                        True,
                        True],
    'belize|^BZ$|^BLZ$': ['Belize',
                       'UN member state',
                       'BZ',
                       'BLZ',
                       84,
                       '.bz',
                       '+501',
                       17.040101,
                       -88.682464,
                       'North America',
                       'Central America',
                       '🇧🇿',
                       22966.0,
                       22806.0,
                       160.0,
                       'Belmopan',
                       '17°15′5″N',
                       '88°46′1″W',
                       -88.7669,
                       17.2514,
                       390353.0,
                       1879613600.0,
                       7314.632,
                       7004.6582,
                       False,
                       False,
                       False],
    'benin|^BJ$|^BEN$': ['Benin',
                      'UN member state',
                      'BJ',
                      'BEN',
                      204,
                      '.bj',
                      '+229',
                      9.30769,
                      2.315834,
                      'Africa',
                      'Western Africa',
                      '🇧🇯',
                      112622.0,
                      110622.0,
                      2000.0,
                      'Porto-Novo',
                      '6°29′50″N',
                      '2°36′18″E',
                      2.605,
                      6.4972,
                      11801151.0,
                      14390709094.9386,
                      3432.7813,
                      3287.3095,
                      False,
                      False,
                      False],
    'bermuda|^BM$|^BMU$': ['Bermuda',
                        'United Kingdom',
                        'BM',
                        'BMU',
                        60,
                        '.bm',
                        '+1 441',
                        32.306898,
                        -64.753478,
                        'North America',
                        'Northern America',
                        '🇧🇲',
                        54.0,
                        54.0,
                        0.0,
                        'Hamilton',
                        '32°17′35″N',
                        '64°46′55″W',
                        -64.7819,
                        32.2931,
                        63918.0,
                        7484113000.0,
                        85417.629,
                        81797.8665,
                        False,
                        False,
                        False],
    'bhutan|^BT$|^BTN$': ['Bhutan',
                       'UN member state',
                       'BT',
                       'BTN',
                       64,
                       '.bt',
                       '+975',
                       27.514162,
                       90.433601,
                       'Asia',
                       'Southern Asia',
                       '🇧🇹',
                       38394.0,
                       38394.0,
                       0.0,
                       'Thimphu',
                       '27°28′20″N',
                       '89°38′10″E',
                       89.6361,
                       27.4722,
                       763092.0,
                       2530547157.56678,
                       12355.7936,
                       11832.1893,
                       False,
                       False,
                       False],
    'bosnia|herzegovina|^BA$|^BIH$': ['Bosnia and Herzegovina',
                                   'UN member state',
                                   'BA',
                                   'BIH',
                                   70,
                                   '.ba',
                                   '+387',
                                   44.273078,
                                   17.89616,
                                   'Europe',
                                   'Southern Europe',
                                   '🇧🇦',
                                   51197.0,
                                   51187.0,
                                   10.0,
                                   'Sarajevo',
                                   '43°52′N',
                                   '18°25′E',
                                   18.4167,
                                   43.8667,
                                   3301000.0,
                                   20164193806.88,
                                   15883.3199,
                                   14912.0819,
                                   False,
                                   False,
                                   False],
    'botswana|^BW$|^BWA$': ['Botswana',
                         'UN member state',
                         'BW',
                         'BWA',
                         72,
                         '.bw',
                         '+267',
                         -22.328474,
                         24.684866,
                         'Africa',
                         'Southern Africa',
                         '🇧🇼',
                         581730.0,
                         566730.0,
                         15000.0,
                         'Gaborone',
                         '24°39′29″S',
                         '25°54′44″E',
                         25.9122,
                         -24.6581,
                         2303697.0,
                         18340480936.0444,
                         18552.7533,
                         17766.539,
                         False,
                         False,
                         False],
    'bouvet|^BV$|^BVT$': ['Bouvet Island',
                       'Norway',
                       'BV',
                       'BVT',
                       74,
                       'not assigned',
                       '',
                       -54.421291,
                       3.367051,
                       '',
                       '',
                       '🇧🇻',
                       49.0,
                       49.0,
                       0.0,
                       '',
                       '',
                       '',
                       '',
                       '',
                       '',
                       '',
                       '',
                       '',
                       False,
                       False,
                       False],
    'brazil|^BR$|^BRA$': ['Brazil',
                       'UN member state',
                       'BR',
                       'BRA',
                       76,
                       '.br',
                       '+55',
                       -10.031432,
                       -50.645233,
                       'South America',
                       'South America',
                       '🇧🇷',
                       8515770.0,
                       8358140.0,
                       157630.0,
                       'Brasília',
                       '15°47′38″S',
                       '47°52′58″W',
                       -47.8828,
                       -15.7939,
                       211049527.0,
                       1839758040765.62,
                       15299.9873,
                       14651.6162,
                       False,
                       False,
                       False],
    'bulgaria|^BG$|^BGR$': ['Bulgaria',
                         'UN member state',
                         'BG',
                         'BGR',
                         100,
                         '.bg',
                         '+359',
                         42.733883,
                         25.48583,
                         'Europe',
                         'Eastern Europe',
                         '🇧🇬',
                         110879.0,
                         108489.0,
                         2390.0,
                         'Sofia',
                         '42°42′N',
                         '23°20′E',
                         23.3333,
                         42.7,
                         6975761.0,
                         68558815111.6199,
                         24789.57,
                         23173.6891,
                         False,
                         True,
                         True],
    'burkina|^BF$|^BFA$': ['Burkina Faso',
                        'UN member state',
                        'BF',
                        'BFA',
                        854,
                        '.bf',
                        '+226',
                        12.238333,
                        -1.561593,
                        'Africa',
                        'Western Africa',
                        '🇧🇫',
                        274200.0,
                        273800.0,
                        400.0,
                        'Ouagadougou',
                        '12°22′N',
                        '1°32′W',
                        -1.5333,
                        12.3667,
                        20321378.0,
                        15990803569.9961,
                        2274.7197,
                        2178.3234,
                        False,
                        False,
                        False],
    'burundi|^BI$|^BDI$': ['Burundi',
                        'UN member state',
                        'BI',
                        'BDI',
                        108,
                        '.bi',
                        '+257',
                        -3.373056,
                        29.918886,
                        'Africa',
                        'Eastern Africa',
                        '🇧🇮',
                        27830.0,
                        25680.0,
                        2150.0,
                        'Gitega',
                        '3°26′S',
                        '29°54′E',
                        29.9,
                        -3.4333,
                        11530580.0,
                        3012334881.64057,
                        784.927,
                        751.664,
                        False,
                        False,
                        False],
    'cambodia|^KH$|^KHM$': ['Cambodia',
                         'UN member state',
                         'KH',
                         'KHM',
                         116,
                         '.kh',
                         '+855',
                         12.565679,
                         104.990963,
                         'Asia',
                         'South-Eastern Asia',
                         '🇰🇭',
                         181035.0,
                         176515.0,
                         4520.0,
                         'Phnom Penh',
                         '11°34′10″N',
                         '104°55′16″E',
                         104.9211,
                         11.5694,
                         16486542.0,
                         27089389786.979,
                         4583.0165,
                         4388.8009,
                         False,
                         False,
                         False],
    'cameroon|cameroun|^CM$|^CMR$': ['Cameroon',
                                  'UN member state',
                                  'CM',
                                  'CMR',
                                  120,
                                  '.cm',
                                  '+237',
                                  5.336304,
                                  12.327046,
                                  'Africa',
                                  'Middle Africa',
                                  '🇨🇲',
                                  475440.0,
                                  472710.0,
                                  2730.0,
                                  'Yaoundé',
                                  '3°52′N',
                                  '11°31′E',
                                  11.5167,
                                  3.8667,
                                  25876380.0,
                                  39007354359.2798,
                                  3803.4572,
                                  3642.2773,
                                  False,
                                  False,
                                  False],
    'canada|^CA$|^CAN$': ['Canada',
                       'UN member state',
                       'CA',
                       'CAN',
                       124,
                       '.ca',
                       '+1',
                       56.130366,
                       -106.346771,
                       'North America',
                       'Northern America',
                       '🇨🇦',
                       9984670.0,
                       9093507.0,
                       891163.0,
                       'Ottawa',
                       '45°25′29″N',
                       '75°41′42″W',
                       -75.695,
                       45.4247,
                       37589262.0,
                       1736425629519.96,
                       51341.7052,
                       49031.3799,
                       True,
                       False,
                       False],
    'cape verde|cabo verde|^CV$|^CPV$': ['Cape Verde',
                                      'UN member state',
                                      'CV',
                                      'CPV',
                                      132,
                                      '.cv',
                                      '+238',
                                      16.002082,
                                      -24.013197,
                                      'Africa',
                                      'Western Africa',
                                      '🇨🇻',
                                      4033.0,
                                      4033.0,
                                      0.0,
                                      'Praia',
                                      '14°55′05″N',
                                      '23°30′32″W',
                                      -23.5089,
                                      14.9181,
                                      549935.0,
                                      1981845740.35828,
                                      7489.2115,
                                      7171.8395,
                                      False,
                                      False,
                                      False],
    'chad|^TD$|^TCD$': ['Chad',
                     'UN member state',
                     'TD',
                     'TCD',
                     148,
                     '.td',
                     '+235',
                     15.454166,
                     18.732207,
                     'Africa',
                     'Middle Africa',
                     '🇹🇩',
                     1284000.0,
                     1259200.0,
                     24800.0,
                     "N'Djamena",
                     '12°06′36″N',
                     '15°03′00″E',
                     15.05,
                     12.11,
                     15946876.0,
                     11314951342.7807,
                     1649.5292,
                     1579.6267,
                     False,
                     False,
                     False],
    'chile|^CL$|^CHL$': ['Chile',
                      'UN member state',
                      'CL',
                      'CHL',
                      152,
                      '.cl',
                      '+56',
                      -35.675147,
                      -71.542969,
                      'South America',
                      'South America',
                      '🇨🇱',
                      756102.0,
                      743812.0,
                      12290.0,
                      'Santiago',
                      '33°27′S',
                      '70°40′W',
                      -70.6667,
                      -33.45,
                      18952038.0,
                      282318159744.65,
                      25154.9928,
                      24226.1509,
                      True,
                      False,
                      False],
    'christmas|^CX$|^CXR$': ['Christmas Island',
                          'Australia',
                          'CX',
                          'CXR',
                          162,
                          '.cx',
                          '+61',
                          -10.447525,
                          105.690449,
                          '',
                          '',
                          '🇨🇽',
                          135.0,
                          135.0,
                          0.0,
                          'Flying Fish Cove',
                          '10°25′18″S',
                          '105°40′41″E',
                          105.6781,
                          -10.4217,
                          '',
                          '',
                          '',
                          '',
                          False,
                          False,
                          False],
    'colombia|^CO$|^COL$': ['Colombia',
                         'UN member state',
                         'CO',
                         'COL',
                         170,
                         '.co',
                         '+57',
                         3.571191,
                         -72.856744,
                         'South America',
                         'South America',
                         '🇨🇴',
                         1138910.0,
                         1038700.0,
                         100210.0,
                         'Bogotá',
                         '4°42′40″N',
                         '74°4′20″W',
                         -74.0722,
                         4.7111,
                         50339443.0,
                         323615979418.651,
                         15634.7051,
                         14722.046,
                         True,
                         False,
                         False],
    'costa rica|^CR$|^CRI$': ['Costa Rica',
                           'UN member state',
                           'CR',
                           'CRI',
                           188,
                           '.cr',
                           '+506',
                           9.748917,
                           -83.753428,
                           'North America',
                           'Central America',
                           '🇨🇷',
                           51100.0,
                           51060.0,
                           40.0,
                           'San José',
                           '9°56′N',
                           '84°5′W',
                           -84.0833,
                           9.9333,
                           5047561.0,
                           61801385049.0716,
                           20443.4857,
                           19642.4053,
                           False,
                           False,
                           False],
    'croatia|^HR$|^HRV$': ['Croatia',
                        'UN member state',
                        'HR',
                        'HRV',
                        191,
                        '.hr',
                        '+385',
                        45.1,
                        15.2,
                        'Europe',
                        'Southern Europe',
                        '🇭🇷',
                        56594.0,
                        55974.0,
                        620.0,
                        'Zagreb',
                        '45°49′N',
                        '15°59′E',
                        15.9833,
                        45.8167,
                        4067500.0,
                        60752588976.3175,
                        30140.8423,
                        28602.1448,
                        False,
                        True,
                        True],
    'cuba|^CU$|^CUB$': ['Cuba',
                     'UN member state',
                     'CU',
                     'CUB',
                     192,
                     '.cu',
                     '+53',
                     21.937697,
                     -78.631976,
                     'North America',
                     'Caribbean',
                     '🇨🇺',
                     110860.0,
                     109820.0,
                     1040.0,
                     'Havana',
                     '23°08′12″N',
                     '82°21′32″W',
                     -82.3589,
                     23.1367,
                     11333483.0,
                     '',
                     '',
                     '',
                     False,
                     False,
                     False],
    'curaçao|curacao|^CW$|^CUW$': ['Curaçao',
                                'Netherlands',
                                'CW',
                                'CUW',
                                531,
                                '.cw',
                                '+599',
                                12.175014,
                                -68.979014,
                                'North America',
                                'Caribbean',
                                '🇨🇼',
                                444.0,
                                444.0,
                                0.0,
                                'Willemstad',
                                '12°7′N',
                                '68°56′W',
                                -68.9333,
                                12.1167,
                                157538.0,
                                3101787709.49721,
                                25562.5301,
                                24479.2608,
                                False,
                                False,
                                False],
    'cyprus|^CY$|^CYP$': ['Cyprus',
                       'UN member state',
                       'CY',
                       'CYP',
                       196,
                       '.cy',
                       '+357',
                       35.126413,
                       33.429859,
                       'Asia',
                       'Western Asia',
                       '🇨🇾',
                       9251.0,
                       9241.0,
                       10.0,
                       'Nicosia',
                       '35°10′21″N',
                       '33°21′54″E',
                       33.365,
                       35.1725,
                       1198575.0,
                       24948935408.0376,
                       41254.4046,
                       39544.6818,
                       False,
                       True,
                       True],
    'czech|^CZ$|^CZE$': ['Czech Republic',
                      'UN member state',
                      'CZ',
                      'CZE',
                      203,
                      '.cz',
                      '+420',
                      49.817492,
                      15.472962,
                      'Europe',
                      'Eastern Europe',
                      '🇨🇿',
                      78867.0,
                      77247.0,
                      1620.0,
                      'Prague',
                      '50°05′N',
                      '14°25′E',
                      14.4167,
                      50.0833,
                      10669709.0,
                      250680504529.647,
                      43299.5596,
                      40862.2146,
                      True,
                      True,
                      True],
    'côte d.*ivoire|cote d.*ivoire|ivory coast|^CI$|^CIV$': ['Ivory Coast',
                                                          'UN member state',
                                                          'CI',
                                                          'CIV',
                                                          384,
                                                          '.ci',
                                                          '+225',
                                                          7.539989,
                                                          -5.54708,
                                                          'Africa',
                                                          'Western Africa',
                                                          '🇨🇮',
                                                          322463.0,
                                                          318003.0,
                                                          4460.0,
                                                          'Yamoussoukro',
                                                          '6°49′N',
                                                          '5°17′W',
                                                          -5.2833,
                                                          6.8167,
                                                          25716544.0,
                                                          58539424929.7248,
                                                          5443.2248,
                                                          5212.556,
                                                          False,
                                                          False,
                                                          False],
    'denmark|^DK$|^DNK$': ['Denmark',
                        'UN member state',
                        'DK',
                        'DNK',
                        208,
                        '.dk',
                        '+45',
                        55.726275,
                        9.895666,
                        'Europe',
                        'Northern Europe',
                        '🇩🇰',
                        43094.0,
                        42434.0,
                        660.0,
                        'Copenhagen',
                        '55°40′34″N',
                        '12°34′06″E',
                        12.5683,
                        55.6761,
                        5818553.0,
                        350104327658.675,
                        60178.4508,
                        57803.9742,
                        True,
                        True,
                        True],
    'djibouti|^DJ$|^DJI$': ['Djibouti',
                         'UN member state',
                         'DJ',
                         'DJI',
                         262,
                         '.dj',
                         '+253',
                         11.825138,
                         42.590275,
                         'Africa',
                         'Eastern Africa',
                         '🇩🇯',
                         23200.0,
                         23180.0,
                         20.0,
                         'Djibouti (city)',
                         '11°35′18″N',
                         '43°08′42″E',
                         43.145,
                         11.5883,
                         973560.0,
                         3324634256.13324,
                         5779.6758,
                         5534.7491,
                         False,
                         False,
                         False],
    'ecuador|^EC$|^ECU$': ['Ecuador',
                        'UN member state',
                        'EC',
                        'ECU',
                        218,
                        '.ec',
                        '+593',
                        -1.350535,
                        -78.467856,
                        'South America',
                        'South America',
                        '🇪🇨',
                        283561.0,
                        276841.0,
                        6720.0,
                        'Quito',
                        '00°14′S',
                        '78°31′W',
                        -78.5167,
                        -0.2333,
                        17373662.0,
                        107435665000.0,
                        11878.7184,
                        11375.3312,
                        False,
                        False,
                        False],
    'egypt|^EG$|^EGY$': ['Egypt',
                      'UN member state',
                      'EG',
                      'EGY',
                      818,
                      '.eg',
                      '+20',
                      26.448888,
                      29.671689,
                      'Africa',
                      'Northern Africa',
                      '🇪🇬',
                      1001450.0,
                      995450.0,
                      6000.0,
                      'Cairo',
                      '30°2′N',
                      '31°14′E',
                      31.2333,
                      30.0333,
                      100388073.0,
                      303092255125.285,
                      12283.8074,
                      11763.2536,
                      False,
                      False,
                      False],
    'eritrea|^ER$|^ERI$': ['Eritrea',
                        'UN member state',
                        'ER',
                        'ERI',
                        232,
                        '.er',
                        '+291',
                        15.179384,
                        39.782334,
                        'Africa',
                        'Eastern Africa',
                        '🇪🇷',
                        117600.0,
                        101000.0,
                        16600.0,
                        'Asmara',
                        '15°19′22″N',
                        '38°55′30″E',
                        38.925,
                        15.3228,
                        '',
                        '',
                        '',
                        '',
                        False,
                        False,
                        False],
    'estonia|^EE$|^EST$': ['Estonia',
                        'UN member state',
                        'EE',
                        'EST',
                        233,
                        '.ee',
                        '+372',
                        58.703289,
                        25.824336,
                        'Europe',
                        'Northern Europe',
                        '🇪🇪',
                        45228.0,
                        42388.0,
                        2840.0,
                        'Tallinn',
                        '59°26′14″N',
                        '24°44′43″E',
                        24.7453,
                        59.4372,
                        1326590.0,
                        31471100656.2431,
                        38915.1988,
                        36927.0589,
                        True,
                        True,
                        True],
    'eswatini|swaziland|^SZ$|^SWZ$': ['Eswatini',
                                   'UN member state',
                                   'SZ',
                                   'SWZ',
                                   748,
                                   '.sz',
                                   '+268',
                                   -26.522503,
                                   31.465866,
                                   'Africa',
                                   'Southern Africa',
                                   '🇸🇿',
                                   17364.0,
                                   17204.0,
                                   160.0,
                                   'Mbabane',
                                   '26°19′S',
                                   '31°08′E',
                                   31.1333,
                                   -26.3167,
                                   1148130.0,
                                   4471598726.6436,
                                   9003.3642,
                                   8621.8266,
                                   False,
                                   False,
                                   False],
    'ethiopia|^ET$|^ETH$': ['Ethiopia',
                         'UN member state',
                         'ET',
                         'ETH',
                         231,
                         '.et',
                         '+251',
                         8.784563,
                         39.573711,
                         'Africa',
                         'Eastern Africa',
                         '🇪🇹',
                         1104300.0,
                         1096570.0,
                         7730.0,
                         'Addis Ababa',
                         '9°1′48″N',
                         '38°44′24″E',
                         38.74,
                         9.03,
                         112078730.0,
                         95912590628.1412,
                         2319.7074,
                         2221.4046,
                         False,
                         False,
                         False],
    'fiji|^FJ$|^FJI$': ['Fiji',
                     'UN member state',
                     'FJ',
                     'FJI',
                     242,
                     '.fj',
                     '+679',
                     -16.578193,
                     179.414413,
                     'Oceania',
                     'Melanesia',
                     '🇫🇯',
                     18274.0,
                     18274.0,
                     0.0,
                     'Suva',
                     '18°08′30″S',
                     '178°26′31″E',
                     178.4419,
                     -18.1417,
                     889953.0,
                     5496250694.31587,
                     14289.9605,
                     13684.3916,
                     False,
                     False,
                     False],
    'finland|^FI$|^FIN$': ['Finland',
                        'UN member state',
                        'FI',
                        'FIN',
                        246,
                        '.fi',
                        '+358',
                        62.840988,
                        26.284863,
                        'Europe',
                        'Northern Europe',
                        '🇫🇮',
                        338145.0,
                        303815.0,
                        34330.0,
                        'Helsinki',
                        '60°10′15″N',
                        '24°56′15″E',
                        24.9375,
                        60.1708,
                        5520314.0,
                        269296310180.392,
                        51426.0201,
                        48668.0079,
                        True,
                        True,
                        True],
    'france|^FR$|^FRA$': ['France',
                       'UN member state',
                       'FR',
                       'FRA',
                       250,
                       '.fr',
                       '+33',
                       46.719774,
                       2.736604,
                       'Europe',
                       'Western Europe',
                       '🇫🇷',
                       643801.0,
                       640427.0,
                       3374.0,
                       'Paris',
                       '48°51′24″N',
                       '2°21′08″E',
                       2.3522,
                       48.8567,
                       67059887.0,
                       2715518274227.45,
                       49435.1799,
                       46183.5218,
                       True,
                       True,
                       True],
    'french guiana|^GF$|^GUF$': ['French Guiana',
                              'France',
                              'GF',
                              'GUF',
                              254,
                              '.gf',
                              '+594',
                              3.933889,
                              -53.125782,
                              'South America',
                              'South America',
                              '🇬🇫',
                              '',
                              '',
                              '',
                              'Cayenne',
                              '4°56′14″N',
                              '52°19′34″W',
                              -52.3261,
                              4.9372,
                              '',
                              '',
                              '',
                              '',
                              False,
                              False,
                              False],
    'french polynesia|^PF$|^PYF$': ['French Polynesia',
                                 'France',
                                 'PF',
                                 'PYF',
                                 258,
                                 '.pf',
                                 '+689',
                                 -17.679742,
                                 -149.406843,
                                 'Oceania',
                                 'Polynesia',
                                 '🇵🇫',
                                 4167.0,
                                 3827.0,
                                 340.0,
                                 'Papeete',
                                 '17°32′06″S',
                                 '149°34′11″W',
                                 -149.5697,
                                 -17.535,
                                 279287.0,
                                 '',
                                 '',
                                 '',
                                 False,
                                 False,
                                 False],
    'georgia|^GE$|^GEO$': ['Georgia',
                        'UN member state',
                        'GE',
                        'GEO',
                        268,
                        '.ge',
                        '+995',
                        42.116276,
                        43.689504,
                        'Asia',
                        'Western Asia',
                        '🇬🇪',
                        69700.0,
                        69700.0,
                        0.0,
                        'Tbilisi',
                        '41°43′21″N',
                        '44°47′33″E',
                        44.7925,
                        41.7225,
                        3720382.0,
                        17477255545.6705,
                        15655.6739,
                        14992.2298,
                        False,
                        False,
                        False],
    'germany|^DE$|^DEU$': ['Germany',
                        'UN member state',
                        'DE',
                        'DEU',
                        276,
                        '.de',
                        '+49',
                        51.165691,
                        10.451526,
                        'Europe',
                        'Western Europe',
                        '🇩🇪',
                        357022.0,
                        348672.0,
                        8350.0,
                        'Berlin',
                        '52°31′12″N',
                        '13°24′18″E',
                        13.405,
                        52.52,
                        83132799.0,
                        3861123558039.21,
                        56278.2498,
                        53919.1395,
                        True,
                        True,
                        True],
    'gibraltar|^GI$|^GIB$': ['Gibraltar',
                          'United Kingdom',
                          'GI',
                          'GIB',
                          292,
                          '.gi',
                          '+350',
                          36.134934,
                          -5.348643,
                          'Europe',
                          'Southern Europe',
                          '🇬🇮',
                          6.5,
                          6.5,
                          0.0,
                          'Gibraltar',
                          '36°8′N',
                          '5°21′W',
                          -5.35,
                          36.1333,
                          33701.0,
                          '',
                          '',
                          '',
                          False,
                          False,
                          False],
    'greece|^GR$|^GRC$': ['Greece',
                       'UN member state',
                       'GR',
                       'GRC',
                       300,
                       '.gr',
                       '+30',
                       39.074208,
                       21.824312,
                       'Europe',
                       'Southern Europe',
                       '🇬🇷',
                       131957.0,
                       130647.0,
                       1310.0,
                       'Athens',
                       '37°59′02.3″N',
                       '23°43′40.1″E',
                       23.7278,
                       37.984,
                       10716322.0,
                       209852761132.839,
                       30722.2032,
                       29798.8787,
                       True,
                       True,
                       True],
    'greenland|^GL$|^GRL$': ['Greenland',
                          'Denmark',
                          'GL',
                          'GRL',
                          304,
                          '.gl',
                          '+299',
                          64.629624,
                          -45.695839,
                          'North America',
                          'Northern America',
                          '🇬🇱',
                          2166086.0,
                          2166086.0,
                          '',
                          'Nuuk',
                          '64°10′53″N',
                          '51°41′39″W',
                          -51.6942,
                          64.1814,
                          56225.0,
                          '',
                          '',
                          '',
                          False,
                          False,
                          False],
    'grenada|^GD$|^GRD$': ['Grenada',
                        'UN member state',
                        'GD',
                        'GRD',
                        308,
                        '.gd',
                        '+1 473',
                        12.120106,
                        -61.677444,
                        'North America',
                        'Caribbean',
                        '🇬🇩',
                        344.0,
                        344.0,
                        0.0,
                        "St. George's",
                        '12°3′N',
                        '61°45′W',
                        -61.75,
                        12.05,
                        112003.0,
                        1210603703.7037,
                        17792.9086,
                        17038.8945,
                        False,
                        False,
                        False],
    'guadeloupe|^GP$|^GLP$': ['Guadeloupe',
                           'France',
                           'GP',
                           'GLP',
                           312,
                           '.gp',
                           '',
                           16.254246,
                           -61.568592,
                           'North America',
                           'Caribbean',
                           '🇬🇵',
                           '',
                           '',
                           '',
                           '',
                           '',
                           '',
                           '',
                           '',
                           '',
                           '',
                           '',
                           '',
                           False,
                           False,
                           False],
    'guam|^GU$|^GUM$': ['Guam',
                     'United States',
                     'GU',
                     'GUM',
                     316,
                     '.gu',
                     '+1 671',
                     13.444304,
                     144.793731,
                     'Oceania',
                     'Micronesia',
                     '🇬🇺',
                     544.0,
                     544.0,
                     0.0,
                     'Hagåtña',
                     '13°28′45″N',
                     '144°45′00″E',
                     144.75,
                     13.4792,
                     167294.0,
                     '',
                     '',
                     '',
                     False,
                     False,
                     False],
    'guatemala|^GT$|^GTM$': ['Guatemala',
                          'UN member state',
                          'GT',
                          'GTM',
                          320,
                          '.gt',
                          '+502',
                          15.628067,
                          -90.433576,
                          'North America',
                          'Central America',
                          '🇬🇹',
                          108889.0,
                          107159.0,
                          1730.0,
                          'Guatemala City',
                          '14°36′48″N',
                          '90°32′7″W',
                          -90.5353,
                          14.6133,
                          16604026.0,
                          76710355347.0968,
                          9019.6938,
                          8637.4642,
                          False,
                          False,
                          False],
    'guernsey|^GG$|^GGY$': ['Bailiwick of Guernsey',
                         'British Crown',
                         'GG',
                         'GGY',
                         831,
                         '.gg',
                         '+44 1481',
                         49.455257,
                         -2.576448,
                         'Europe',
                         'Northern Europe',
                         '🇬🇬',
                         78.0,
                         78.0,
                         0.0,
                         'St. Peter Port',
                         '49°27′20″N',
                         '2°32′12″W',
                         -2.5367,
                         49.4556,
                         '',
                         '',
                         '',
                         '',
                         False,
                         False,
                         False],
    'guinea.*bissau|^GW$|^GNB$': ['Guinea-Bissau',
                               'UN member state',
                               'GW',
                               'GNB',
                               624,
                               '.gw',
                               '+245',
                               11.803749,
                               -15.180413,
                               'Africa',
                               'Western Africa',
                               '🇬🇼',
                               36125.0,
                               28120.0,
                               8005.0,
                               'Bissau',
                               '11°51′N',
                               '15°34′W',
                               -15.5667,
                               11.85,
                               1920922.0,
                               1339449165.48759,
                               2077.4017,
                               1989.3671,
                               False,
                               False,
                               False],
    'guyana|^GY$|^GUY$': ['Guyana',
                       'UN member state',
                       'GY',
                       'GUY',
                       328,
                       '.gy',
                       '+592',
                       4.860416,
                       -58.93018,
                       'South America',
                       'South America',
                       '🇬🇾',
                       214969.0,
                       196849.0,
                       18120.0,
                       'Georgetown',
                       '6°48′4″N',
                       '58°9′19″W',
                       -58.1553,
                       6.8011,
                       782766.0,
                       5173759527.57794,
                       13661.2802,
                       13082.353,
                       False,
                       False,
                       False],
    'haiti|^HT$|^HTI$': ['Haiti',
                      'UN member state',
                      'HT',
                      'HTI',
                      332,
                      '.ht',
                      '+509',
                      19.058396,
                      -72.443958,
                      'North America',
                      'Caribbean',
                      '🇭🇹',
                      27750.0,
                      27560.0,
                      190.0,
                      'Port-au-Prince',
                      '18°32′N',
                      '72°20′W',
                      -72.3333,
                      18.5333,
                      11263077.0,
                      14332163266.3977,
                      3034.0121,
                      2905.4391,
                      False,
                      False,
                      False],
    'honduras|^HN$|^HND$': ['Honduras',
                         'UN member state',
                         'HN',
                         'HND',
                         340,
                         '.hn',
                         '+504',
                         14.833734,
                         -86.998054,
                         'North America',
                         'Central America',
                         '🇭🇳',
                         112090.0,
                         111890.0,
                         200.0,
                         'Tegucigalpa',
                         '14°6′N',
                         '87°13′W',
                         -87.2167,
                         14.1,
                         9746117.0,
                         25095395475.0393,
                         5981.4509,
                         5727.9736,
                         False,
                         False,
                         False],
    'hong kong|^HK$|^HKG$': ['Hong Kong',
                          'China',
                          'HK',
                          'HKG',
                          344,
                          '.hk',
                          '+852',
                          22.396428,
                          114.109497,
                          'Asia',
                          'Eastern Asia',
                          '🇭🇰',
                          1108.0,
                          1073.0,
                          35.0,
                          '',
                          '',
                          '',
                          '',
                          '',
                          7507400.0,
                          365711532816.907,
                          62495.9599,
                          59847.5543,
                          False,
                          False,
                          False],
    'hungary|^HU$|^HUN$': ['Hungary',
                        'UN member state',
                        'HU',
                        'HUN',
                        348,
                        '.hu',
                        '+36',
                        47.162494,
                        19.503304,
                        'Europe',
                        'Eastern Europe',
                        '🇭🇺',
                        93028.0,
                        89608.0,
                        3420.0,
                        'Budapest',
                        '47°29′33″N',
                        '19°03′05″E',
                        19.0514,
                        47.4925,
                        9769949.0,
                        163469042867.956,
                        34507.0843,
                        32944.8464,
                        True,
                        True,
                        True],
    'iceland|^IS$|^ISL$': ['Iceland',
                        'UN member state',
                        'IS',
                        'ISL',
                        352,
                        '.is',
                        '+354',
                        64.880678,
                        -18.409548,
                        'Europe',
                        'Northern Europe',
                        '🇮🇸',
                        103000.0,
                        100250.0,
                        2750.0,
                        'Reykjavík',
                        '64°08′00″N',
                        '21°56′00″W',
                        -21.9333,
                        64.1333,
                        361313.0,
                        24188038473.5438,
                        60061.3774,
                        55873.9506,
                        True,
                        False,
                        True],
    'india$|^IN$|^IND$': ['India',
                       'UN member state',
                       'IN',
                       'IND',
                       356,
                       '.in',
                       '+91',
                       20.593684,
                       78.96288,
                       'Asia',
                       'Southern Asia',
                       '🇮🇳',
                       3287263.0,
                       2973193.0,
                       314070.0,
                       'New Delhi',
                       '28°36′50″N',
                       '77°12′32″E',
                       77.2089,
                       28.6139,
                       1366417754.0,
                       2868929415617.02,
                       6996.5569,
                       6700.0622,
                       False,
                       False,
                       False],
    'indonesia|^ID$|^IDN$': ['Indonesia',
                          'UN member state',
                          'ID',
                          'IDN',
                          360,
                          '.id',
                          '+62',
                          -0.789275,
                          113.921327,
                          'Asia',
                          'South-Eastern Asia',
                          '🇮🇩',
                          1904569.0,
                          1811569.0,
                          93000.0,
                          'Jakarta',
                          '6°12′S',
                          '106°49′E',
                          106.8167,
                          -6.2,
                          270625568.0,
                          1119190780752.8,
                          12334.9173,
                          11812.1976,
                          False,
                          False,
                          False],
    'israel|^IL$|^ISR$': ['Israel',
                       'UN member state',
                       'IL',
                       'ISR',
                       376,
                       '.il',
                       '+972',
                       31.046051,
                       34.851612,
                       'Asia',
                       'Western Asia',
                       '🇮🇱',
                       21937.0,
                       21497.0,
                       440.0,
                       'Jerusalem',
                       '31°47′N',
                       '35°13′E',
                       35.2167,
                       31.7833,
                       9053300.0,
                       394652210295.849,
                       42146.1472,
                       40145.4695,
                       True,
                       False,
                       False],
    'italy|^IT$|^ITA$': ['Italy',
                      'UN member state',
                      'IT',
                      'ITA',
                      380,
                      '.it',
                      '+39',
                      42.71941,
                      12.672814,
                      'Europe',
                      'Southern Europe',
                      '🇮🇹',
                      301340.0,
                      294140.0,
                      7200.0,
                      'Rome',
                      '41°53′N',
                      '12°30′E',
                      12.5,
                      41.8833,
                      60297396.0,
                      2003576145498.04,
                      44248.189,
                      42491.6422,
                      True,
                      True,
                      True],
    'jamaica|^JM$|^JAM$': ['Jamaica',
                        'UN member state',
                        'JM',
                        'JAM',
                        388,
                        '.jm',
                        '+1 876',
                        18.109581,
                        -77.297508,
                        'North America',
                        'Caribbean',
                        '🇯🇲',
                        10991.0,
                        10831.0,
                        160.0,
                        'Kingston',
                        '17°58′17″N',
                        '76°47′35″W',
                        -76.7931,
                        17.9714,
                        2948279.0,
                        16458071067.8176,
                        10193.4695,
                        9761.4985,
                        False,
                        False,
                        False],
    'japan|^JP$|^JPN$': ['Japan',
                      'UN member state',
                      'JP',
                      'JPN',
                      392,
                      '.jp',
                      '+81',
                      36.204824,
                      138.252924,
                      'Asia',
                      'Eastern Asia',
                      '🇯🇵',
                      377915.0,
                      364485.0,
                      13430.0,
                      'Tokyo',
                      '35°41′23″N',
                      '139°41′32″E',
                      139.6922,
                      35.6897,
                      126264931.0,
                      5081769542379.77,
                      43235.7176,
                      41429.2875,
                      True,
                      False,
                      False],
    'jersey|^JE$|^JEY$': ['Jersey',
                       'British Crown',
                       'JE',
                       'JEY',
                       832,
                       '.je',
                       '+44 1534',
                       49.214439,
                       -2.13125,
                       'Europe',
                       'Northern Europe',
                       '🇯🇪',
                       116.0,
                       116.0,
                       0.0,
                       'St. Helier',
                       '49°11′13″N',
                       '2°06′25″W',
                       -2.1069,
                       49.1869,
                       '',
                       '',
                       '',
                       '',
                       False,
                       False,
                       False],
    'jordan|^JO$|^JOR$': ['Jordan',
                       'UN member state',
                       'JO',
                       'JOR',
                       400,
                       '.jo',
                       '+962',
                       31.199628,
                       36.484474,
                       'Asia',
                       'Western Asia',
                       '🇯🇴',
                       89342.0,
                       88802.0,
                       540.0,
                       'Amman',
                       '31°56′59″N',
                       '35°55′58″E',
                       35.9328,
                       31.9497,
                       10101694.0,
                       44502895861.6837,
                       10517.067,
                       10071.3829,
                       False,
                       False,
                       False],
    'kazakhstan|^KZ$|^KAZ$': ['Kazakhstan',
                           'UN member state',
                           'KZ',
                           'KAZ',
                           398,
                           '.kz',
                           '+7',
                           48.019573,
                           66.923684,
                           'Asia',
                           'Central Asia',
                           '🇰🇿',
                           2724900.0,
                           2699700.0,
                           25200.0,
                           'Nur-Sultan',
                           '51°10′N',
                           '71°26′E',
                           71.4333,
                           51.1667,
                           18513930.0,
                           181665908556.499,
                           27517.5565,
                           26351.4386,
                           False,
                           False,
                           False],
    'kenya|^KE$|^KEN$': ['Kenya',
                      'UN member state',
                      'KE',
                      'KEN',
                      404,
                      '.ke',
                      '+254',
                      -0.023559,
                      37.906193,
                      'Africa',
                      'Eastern Africa',
                      '🇰🇪',
                      580367.0,
                      569140.0,
                      11227.0,
                      'Nairobi',
                      '01°17′11″S',
                      '36°49′02″E',
                      36.8172,
                      -1.2864,
                      52573973.0,
                      95503088538.092,
                      4521.4792,
                      4329.8714,
                      False,
                      False,
                      False],
    'kuwait|^KW$|^KWT$': ['Kuwait',
                       'UN member state',
                       'KW',
                       'KWT',
                       414,
                       '.kw',
                       '+965',
                       29.31166,
                       47.481766,
                       'Asia',
                       'Western Asia',
                       '🇰🇼',
                       17818.0,
                       17818.0,
                       0.0,
                       'Kuwait City',
                       '29°22′11″N',
                       '47°58′42″E',
                       47.9783,
                       29.3697,
                       4207083.0,
                       134628542746.97,
                       52059.7233,
                       49853.5764,
                       False,
                       False,
                       False],
    'latvia|^LV$|^LVA$': ['Latvia',
                       'UN member state',
                       'LV',
                       'LVA',
                       428,
                       '.lv',
                       '+371',
                       57.101446,
                       24.771556,
                       'Europe',
                       'Northern Europe',
                       '🇱🇻',
                       64589.0,
                       62249.0,
                       2340.0,
                       'Riga',
                       '56°56′56″N',
                       '24°6′23″E',
                       24.1064,
                       56.9489,
                       1912789.0,
                       34102913582.4235,
                       32190.97,
                       30898.3708,
                       True,
                       True,
                       True],
    'lebanon|^LB$|^LBN$': ['Lebanon',
                        'UN member state',
                        'LB',
                        'LBN',
                        422,
                        '.lb',
                        '+961',
                        33.854721,
                        35.862285,
                        'Asia',
                        'Western Asia',
                        '🇱🇧',
                        10400.0,
                        10230.0,
                        170.0,
                        'Beirut',
                        '33°53′13″N',
                        '35°30′47″E',
                        35.5131,
                        33.8869,
                        6855713.0,
                        51991634491.6345,
                        15195.5297,
                        14551.5852,
                        False,
                        False,
                        False],
    'lesotho|^LS$|^LSO$': ['Lesotho',
                        'UN member state',
                        'LS',
                        'LSO',
                        426,
                        '.ls',
                        '+266',
                        -29.609988,
                        28.233608,
                        'Africa',
                        'Southern Africa',
                        '🇱🇸',
                        30355.0,
                        30355.0,
                        0.0,
                        'Maseru',
                        '29°19′S',
                        '27°29′E',
                        27.4833,
                        -29.3167,
                        2125268.0,
                        2376328637.26318,
                        2824.0925,
                        2704.4153,
                        False,
                        False,
                        False],
    'liberia|^LR$|^LBR$': ['Liberia',
                        'UN member state',
                        'LR',
                        'LBR',
                        430,
                        '.lr',
                        '+231',
                        6.428055,
                        -9.429499,
                        'Africa',
                        'Western Africa',
                        '🇱🇷',
                        111369.0,
                        96320.0,
                        15049.0,
                        'Monrovia',
                        '6°18′48″N',
                        '10°48′5″W',
                        -10.8014,
                        6.3133,
                        4937374.0,
                        3070518100.0,
                        1491.0037,
                        1427.8191,
                        False,
                        False,
                        False],
    'libya|^LY$|^LBY$': ['Libya',
                      'UN member state',
                      'LY',
                      'LBY',
                      434,
                      '.ly',
                      '+218',
                      27.124192,
                      17.717566,
                      'Africa',
                      'Northern Africa',
                      '🇱🇾',
                      1759540.0,
                      1759540.0,
                      0.0,
                      'Tripoli',
                      '32°53′14″N',
                      '13°11′29″E',
                      13.1914,
                      32.8872,
                      6777452.0,
                      52091152228.3425,
                      15845.6599,
                      15174.1648,
                      False,
                      False,
                      False],
    'liechtenstein|^LI$|^LIE$': ['Liechtenstein',
                              'UN member state',
                              'LI',
                              'LIE',
                              438,
                              '.li',
                              '+423',
                              47.129872,
                              9.563058,
                              'Europe',
                              'Western Europe',
                              '🇱🇮',
                              160.0,
                              160.0,
                              0.0,
                              'Vaduz',
                              '47°08′28″N',
                              '9°31′16″E',
                              9.5211,
                              47.1411,
                              38019.0,
                              '',
                              '',
                              '',
                              False,
                              False,
                              True],
    'lithuania|^LT$|^LTU$': ['Lithuania',
                          'UN member state',
                          'LT',
                          'LTU',
                          440,
                          '.lt',
                          '+370',
                          55.427858,
                          23.937397,
                          'Europe',
                          'Northern Europe',
                          '🇱🇹',
                          65300.0,
                          62680.0,
                          2620.0,
                          'Vilnius',
                          '54°41′N',
                          '25°17′E',
                          25.2833,
                          54.6833,
                          2786844.0,
                          54627411860.4705,
                          38501.8364,
                          37230.9748,
                          True,
                          True,
                          True],
    'luxembourg|^LU$|^LUX$': ['Luxembourg',
                           'UN member state',
                           'LU',
                           'LUX',
                           442,
                           '.lu',
                           '+352',
                           49.75636,
                           6.114688,
                           'Europe',
                           'Western Europe',
                           '🇱🇺',
                           2586.0,
                           2586.0,
                           0.0,
                           'Luxembourg (city)',
                           '49°36′42″N',
                           '6°7′55″E',
                           6.1319,
                           49.6117,
                           619896.0,
                           71104919108.1411,
                           121292.7393,
                           114481.5332,
                           True,
                           True,
                           True],
    'madagascar|^MG$|^MDG$': ['Madagascar',
                           'UN member state',
                           'MG',
                           'MDG',
                           450,
                           '.mg',
                           '+261',
                           -18.766947,
                           46.869107,
                           'Africa',
                           'Eastern Africa',
                           '🇲🇬',
                           587041.0,
                           581540.0,
                           5501.0,
                           'Antananarivo',
                           '18°56′S',
                           '47°31′E',
                           47.5167,
                           -18.9333,
                           26969307.0,
                           14114631280.6774,
                           1719.906,
                           1647.0212,
                           False,
                           False,
                           False],
    'malawi|^MW$|^MWI$': ['Malawi',
                       'UN member state',
                       'MW',
                       'MWI',
                       454,
                       '.mw',
                       '+265',
                       -13.533288,
                       34.262269,
                       'Africa',
                       'Eastern Africa',
                       '🇲🇼',
                       118484.0,
                       94080.0,
                       24404.0,
                       'Lilongwe',
                       '13°59′S',
                       '33°47′E',
                       33.7833,
                       -13.9833,
                       18628747.0,
                       7666704427.00915,
                       1106.6189,
                       1059.7235,
                       False,
                       False,
                       False],
    'malaysia|^MY$|^MYS$': ['Malaysia',
                         'UN member state',
                         'MY',
                         'MYS',
                         458,
                         '.my',
                         '+60',
                         4.210484,
                         101.975766,
                         'Asia',
                         'South-Eastern Asia',
                         '🇲🇾',
                         329847.0,
                         328657.0,
                         1190.0,
                         'Kuala Lumpur',
                         '03°08′52″N',
                         '101°41′43″E',
                         101.6953,
                         3.1478,
                         31949777.0,
                         364681367531.684,
                         29619.6873,
                         28364.487,
                         False,
                         False,
                         False],
    'maldives|^MV$|^MDV$': ['Maldives',
                         'UN member state',
                         'MV',
                         'MDV',
                         462,
                         '.mv',
                         '+960',
                         3.202778,
                         73.22068,
                         'Asia',
                         'Southern Asia',
                         '🇲🇻',
                         298.0,
                         298.0,
                         0.0,
                         'Malé',
                         '04°10′31″N',
                         '073°30′32″E',
                         73.5089,
                         4.1753,
                         530953.0,
                         5642179170.45898,
                         20395.4942,
                         19531.1897,
                         False,
                         False,
                         False],
    'mali$|^ML$|^MLI$': ['Mali',
                      'UN member state',
                      'ML',
                      'MLI',
                      466,
                      '.ml',
                      '+223',
                      17.809989,
                      -1.750127,
                      'Africa',
                      'Western Africa',
                      '🇲🇱',
                      1240192.0,
                      1220190.0,
                      20002.0,
                      'Bamako',
                      '12°38′21″N',
                      '8°0′10″W',
                      -8.0028,
                      12.6392,
                      19658031.0,
                      17279566718.6087,
                      2424.3309,
                      2321.5944,
                      False,
                      False,
                      False],
    'malta|^MT$|^MLT$': ['Malta',
                      'UN member state',
                      'MT',
                      'MLT',
                      470,
                      '.mt',
                      '+356',
                      35.937496,
                      14.375416,
                      'Europe',
                      'Southern Europe',
                      '🇲🇹',
                      316.0,
                      316.0,
                      0.0,
                      'Valletta',
                      '35°53′54″N',
                      '14°30′45″E',
                      14.5125,
                      35.8983,
                      502653.0,
                      14989415684.1203,
                      46279.1281,
                      44032.4096,
                      False,
                      True,
                      True],
    'martinique|^MQ$|^MTQ$': ['Martinique',
                           'France',
                           'MQ',
                           'MTQ',
                           474,
                           '.mq',
                           '+596',
                           14.641528,
                           -61.024174,
                           'North America',
                           'Caribbean',
                           '🇲🇶',
                           '',
                           '',
                           '',
                           '',
                           '',
                           '',
                           '',
                           '',
                           '',
                           '',
                           '',
                           '',
                           False,
                           False,
                           False],
    'mauritania|^MR$|^MRT$': ['Mauritania',
                           'UN member state',
                           'MR',
                           'MRT',
                           478,
                           '.mr',
                           '+222',
                           20.243738,
                           -10.390708,
                           'Africa',
                           'Western Africa',
                           '🇲🇷',
                           1030700.0,
                           1030700.0,
                           0.0,
                           'Nouakchott',
                           '18°6′N',
                           '15°57′W',
                           -15.95,
                           18.1,
                           4525696.0,
                           7600656943.97506,
                           5427.0582,
                           5197.0745,
                           False,
                           False,
                           False],
    'mauritius|^MU$|^MUS$': ['Mauritius',
                          'UN member state',
                          'MU',
                          'MUS',
                          480,
                          '.mu',
                          '+230',
                          -20.270205,
                          57.585306,
                          'Africa',
                          'Eastern Africa',
                          '🇲🇺',
                          2040.0,
                          2030.0,
                          10.0,
                          'Port Louis',
                          '20°9′52″S',
                          '57°30′15″E',
                          57.5042,
                          -20.1644,
                          1265711.0,
                          14048430518.5561,
                          23882.3543,
                          22870.2862,
                          False,
                          False,
                          False],
    'mexico|^MX$|^MEX$': ['Mexico',
                       'UN member state',
                       'MX',
                       'MEX',
                       484,
                       '.mx',
                       '+52',
                       23.634501,
                       -102.552784,
                       'North America',
                       'Central America',
                       '🇲🇽',
                       1964375.0,
                       1943945.0,
                       20430.0,
                       'Mexico City',
                       '19°26′N',
                       '99°8′W',
                       -99.1333,
                       19.4333,
                       127575529.0,
                       1268870527160.03,
                       20582.3869,
                       19795.9718,
                       True,
                       False,
                       False],
    'monaco|^MC$|^MCO$': ['Monaco',
                       'UN member state',
                       'MC',
                       'MCO',
                       492,
                       '.mc',
                       '+377',
                       43.73396,
                       7.422564,
                       'Europe',
                       'Western Europe',
                       '🇲🇨',
                       2.0,
                       2.0,
                       0.0,
                       'Monaco',
                       '43°44′N',
                       '7°25′E',
                       7.4167,
                       43.7333,
                       38964.0,
                       '',
                       '',
                       '',
                       False,
                       False,
                       False],
    'mongolia|^MN$|^MNG$': ['Mongolia',
                         'UN member state',
                         'MN',
                         'MNG',
                         496,
                         '.mn',
                         '+976',
                         46.862496,
                         103.846656,
                         'Asia',
                         'Eastern Asia',
                         '🇲🇳',
                         1564116.0,
                         1553556.0,
                         10560.0,
                         'Ulan Bator',
                         '47°55′13″N',
                         '106°55′02″E',
                         106.9172,
                         47.9203,
                         3225167.0,
                         13996719329.4097,
                         12861.8366,
                         12316.7876,
                         False,
                         False,
                         False],
    'montenegro|^ME$|^MNE$': ['Montenegro',
                           'UN member state',
                           'ME',
                           'MNE',
                           499,
                           '.me',
                           '+382',
                           42.87209,
                           19.281906,
                           'Europe',
                           'Southern Europe',
                           '🇲🇪',
                           13812.0,
                           13452.0,
                           360.0,
                           'Podgorica',
                           '42°26′28.63″N',
                           '19°15′46.41″E',
                           19.2629,
                           42.4413,
                           622137.0,
                           5542577964.98146,
                           23189.2404,
                           21469.7979,
                           False,
                           False,
                           False],
    'montserrat|^MS$|^MSR$': ['Montserrat',
                           'United Kingdom',
                           'MS',
                           'MSR',
                           500,
                           '.ms',
                           '+1 664',
                           16.742498,
                           -62.187366,
                           'North America',
                           'Caribbean',
                           '🇲🇸',
                           102.0,
                           102.0,
                           0.0,
                           'Plymouth',
                           '16°42′23″N',
                           '62°12′57″W',
                           -62.2158,
                           16.7064,
                           '',
                           '',
                           '',
                           '',
                           False,
                           False,
                           False],
    'morocco|^MA$|^MAR$': ['Morocco',
                        'UN member state',
                        'MA',
                        'MAR',
                        504,
                        '.ma',
                        '+212',
                        31.791702,
                        -7.09262,
                        'Africa',
                        'Northern Africa',
                        '🇲🇦',
                        446550.0,
                        446300.0,
                        250.0,
                        'Rabat',
                        '34°02′N',
                        '6°50′W',
                        -6.8333,
                        34.0333,
                        36471769.0,
                        119700325461.938,
                        7826.1677,
                        7514.7209,
                        False,
                        False,
                        False],
    'mozambique|^MZ$|^MOZ$': ['Mozambique',
                           'UN member state',
                           'MZ',
                           'MOZ',
                           508,
                           '.mz',
                           '+258',
                           -17.567146,
                           35.782651,
                           'Africa',
                           'Eastern Africa',
                           '🇲🇿',
                           799380.0,
                           786380.0,
                           13000.0,
                           'Maputo',
                           '25°58′S',
                           '32°35′E',
                           32.5833,
                           -25.9667,
                           30366036.0,
                           15291448211.603,
                           1338.0967,
                           1281.3918,
                           False,
                           False,
                           False],
    'myanmar|burma|^MM$|^MMR$': ['Myanmar',
                              'UN member state',
                              'MM',
                              'MMR',
                              104,
                              '.mm',
                              '+95',
                              21.913965,
                              95.956223,
                              'Asia',
                              'South-Eastern Asia',
                              '🇲🇲',
                              676578.0,
                              653508.0,
                              23070.0,
                              'Naypyidaw',
                              '19°45′N',
                              '96°6′E',
                              96.1,
                              19.75,
                              54045420.0,
                              76085852617.1371,
                              5369.7075,
                              5142.1542,
                              False,
                              False,
                              False],
    'namibia|^NA$|^NAM$': ['Namibia',
                        'UN member state',
                        'NA',
                        'NAM',
                        516,
                        '.na',
                        '+264',
                        -22.557397,
                        17.081065,
                        'Africa',
                        'Southern Africa',
                        '🇳🇦',
                        824292.0,
                        823290.0,
                        1002.0,
                        'Windhoek',
                        '22°34′12″S',
                        '17°5′1″E',
                        17.0836,
                        -22.57,
                        2494530.0,
                        12366528259.1844,
                        10063.65,
                        9637.1804,
                        False,
                        False,
                        False],
    'nauru|^NR$|^NRU$': ['Nauru',
                      'UN member state',
                      'NR',
                      'NRU',
                      520,
                      '.nr',
                      '+674',
                      -0.522778,
                      166.931503,
                      'Oceania',
                      'Micronesia',
                      '🇳🇷',
                      21.0,
                      21.0,
                      0.0,
                      'Yaren district',
                      '0°32′51.72″S',
                      '166°55′15.12″E',
                      166.9209,
                      -0.5477,
                      12581.0,
                      118223430.124446,
                      12095.297,
                      11582.7318,
                      False,
                      False,
                      False],
    'nepal|^NP$|^NPL$': ['Nepal',
                      'UN member state',
                      'NP',
                      'NPL',
                      524,
                      '.np',
                      '+977',
                      28.037507,
                      84.483704,
                      'Asia',
                      'Southern Asia',
                      '🇳🇵',
                      147181.0,
                      143351.0,
                      3830.0,
                      'Kathmandu',
                      '27°43′02″N',
                      '85°19′26″E',
                      85.3239,
                      27.7172,
                      28608710.0,
                      30641380603.9699,
                      3567.9929,
                      3416.7913,
                      False,
                      False,
                      False],
    'new caledonia|^NC$|^NCL$': ['New Caledonia',
                              'France',
                              'NC',
                              'NCL',
                              540,
                              '.nc',
                              '+687',
                              -20.904305,
                              165.618042,
                              'Oceania',
                              'Melanesia',
                              '🇳🇨',
                              18575.0,
                              18275.0,
                              300.0,
                              'Nouméa',
                              '22°16′33″S',
                              '166°27′29″E',
                              166.4581,
                              -22.2758,
                              287800.0,
                              '',
                              '',
                              '',
                              False,
                              False,
                              False],
    'new zealand|NZ|n[\., ] zealand|^NZ$|^NZL$': ['New Zealand',
                                                'UN member state',
                                                'NZ',
                                                'NZL',
                                                554,
                                                '.nz',
                                                '+64',
                                                -41.792185,
                                                172.978875,
                                                'Oceania',
                                                'Australia and New Zealand',
                                                '🇳🇿',
                                                268838.0,
                                                264537.0,
                                                4301.0,
                                                'Wellington',
                                                '41°17′20″S',
                                                '174°46′38″E',
                                                174.7772,
                                                -41.2889,
                                                4917000.0,
                                                206928765543.935,
                                                43952.5484,
                                                42887.5181,
                                                True,
                                                False,
                                                False],
    'nigeria|^NG$|^NGA$': ['Nigeria',
                        'UN member state',
                        'NG',
                        'NGA',
                        566,
                        '.ng',
                        '+234',
                        9.605753,
                        8.242418,
                        'Africa',
                        'Western Africa',
                        '🇳🇬',
                        923768.0,
                        910768.0,
                        13000.0,
                        'Abuja',
                        '9°4′N',
                        '7°29′E',
                        7.4833,
                        9.0667,
                        200963599.0,
                        448120428858.769,
                        5362.7584,
                        5135.4996,
                        False,
                        False,
                        False],
    'niue|^NU$|^NIU$': ['Niue',
                     'New Zealand',
                     'NU',
                     'NIU',
                     570,
                     '.nu',
                     '+683',
                     -19.054445,
                     -169.867233,
                     'Oceania',
                     'Polynesia',
                     '🇳🇺',
                     260.0,
                     260.0,
                     0.0,
                     'Alofi',
                     '19°03′14″S',
                     '169°55′12″W',
                     -169.92,
                     -19.0539,
                     '',
                     '',
                     '',
                     '',
                     False,
                     False,
                     False],
    'norfolk|^NF$|^NFK$': ['Norfolk Island',
                        'Australia',
                        'NF',
                        'NFK',
                        574,
                        '.nf',
                        '+672',
                        -29.040835,
                        167.954712,
                        'Oceania',
                        'Australia and New Zealand',
                        '🇳🇫',
                        36.0,
                        36.0,
                        0.0,
                        'Kingston',
                        '29°3′S',
                        '167°58′E',
                        167.9667,
                        -29.05,
                        '',
                        '',
                        '',
                        '',
                        False,
                        False,
                        False],
    'norway|^NO$|^NOR$': ['Norway',
                       'UN member state',
                       'NO',
                       'NOR',
                       578,
                       '.no',
                       '+47',
                       61.174333,
                       8.895294,
                       'Europe',
                       'Northern Europe',
                       '🇳🇴',
                       323802.0,
                       304282.0,
                       19520.0,
                       'Oslo',
                       '59°54′50″N',
                       '10°45′8″E',
                       10.7522,
                       59.9139,
                       5347896.0,
                       403336363636.364,
                       66831.8688,
                       63633.102,
                       True,
                       False,
                       True],
    'oman|^OM$|^OMN$': ['Oman',
                     'UN member state',
                     'OM',
                     'OMN',
                     512,
                     '.om',
                     '+968',
                     21.135713,
                     56.981732,
                     'Asia',
                     'Western Asia',
                     '🇴🇲',
                     309500.0,
                     309500.0,
                     0.0,
                     'Muscat',
                     '23°35′20″N',
                     '58°24′30″E',
                     58.4083,
                     23.5889,
                     4974986.0,
                     76331518668.5771,
                     28507.4762,
                     27299.4083,
                     False,
                     False,
                     False],
    'pakistan|^PK$|^PAK$': ['Pakistan',
                         'UN member state',
                         'PK',
                         'PAK',
                         586,
                         '.pk',
                         '+92',
                         29.002557,
                         68.194971,
                         'Asia',
                         'Southern Asia',
                         '🇵🇰',
                         796095.0,
                         770875.0,
                         25220.0,
                         'Islamabad',
                         '33°41′35″N',
                         '73°03′50″E',
                         73.0639,
                         33.6931,
                         216565318.0,
                         278221906022.841,
                         4898.0506,
                         4690.4848,
                         False,
                         False,
                         False],
    'palau|^PW$|^PLW$': ['Palau',
                      'UN member state',
                      'PW',
                      'PLW',
                      585,
                      '.pw',
                      '+680',
                      7.51498,
                      134.58252,
                      'Oceania',
                      'Micronesia',
                      '🇵🇼',
                      459.0,
                      459.0,
                      0.0,
                      'Ngerulmud',
                      '7°30′2″N',
                      '134°37′27″E',
                      134.6242,
                      7.5006,
                      18008.0,
                      268354919.433594,
                      18357.3954,
                      17579.4598,
                      False,
                      False,
                      False],
    'panama|^PA$|^PAN$': ['Panama',
                       'UN member state',
                       'PA',
                       'PAN',
                       591,
                       '.pa',
                       '+507',
                       8.799939,
                       -80.277962,
                       'North America',
                       'Central America',
                       '🇵🇦',
                       75420.0,
                       74340.0,
                       1080.0,
                       'Panama City',
                       '8°59′N',
                       '79°31′W',
                       -79.5167,
                       8.9833,
                       4246439.0,
                       66800800000.0,
                       32850.8194,
                       31458.6926,
                       False,
                       False,
                       False],
    'paraguay|^PY$|^PRY$': ['Paraguay',
                         'UN member state',
                         'PY',
                         'PRY',
                         600,
                         '.py',
                         '+595',
                         -23.478587,
                         -57.855851,
                         'South America',
                         'South America',
                         '🇵🇾',
                         406752.0,
                         397302.0,
                         9450.0,
                         'Asunción',
                         '25°18′S',
                         '57°38′W',
                         -57.6333,
                         -25.3,
                         7044636.0,
                         38145288939.8488,
                         13246.4618,
                         12685.1134,
                         False,
                         False,
                         False],
    'peru|^PE$|^PER$': ['Peru',
                     'UN member state',
                     'PE',
                     'PER',
                     604,
                     '.pe',
                     '+51',
                     -9.189967,
                     -75.015152,
                     'South America',
                     'South America',
                     '🇵🇪',
                     1285216.0,
                     1279996.0,
                     5220.0,
                     'Lima',
                     '12°03′S',
                     '77°02′W',
                     -77.0333,
                     -12.05,
                     32510453.0,
                     226848050819.525,
                     13416.4366,
                     12847.8852,
                     False,
                     False,
                     False],
    'poland|^PL$|^POL$': ['Poland',
                       'UN member state',
                       'PL',
                       'POL',
                       616,
                       '.pl',
                       '+48',
                       52.118636,
                       19.362633,
                       'Europe',
                       'Eastern Europe',
                       '🇵🇱',
                       312685.0,
                       304255.0,
                       8430.0,
                       'Warsaw',
                       '52°14′N',
                       '21°1′E',
                       21.0167,
                       52.2333,
                       37970874.0,
                       595858207011.512,
                       34431.1592,
                       33221.0826,
                       True,
                       True,
                       True],
    'portugal|^PT$|^PRT$': ['Portugal',
                         'UN member state',
                         'PT',
                         'PRT',
                         620,
                         '.pt',
                         '+351',
                         39.662579,
                         -8.236977,
                         'Europe',
                         'Southern Europe',
                         '🇵🇹',
                         92090.0,
                         91470.0,
                         620.0,
                         'Lisbon',
                         '38°43′31″N',
                         '9°09′00″W',
                         -9.15,
                         38.7253,
                         10269417.0,
                         238785085030.988,
                         36639.3395,
                         34894.3265,
                         True,
                         True,
                         True],
    'qatar|^QA$|^QAT$': ['Qatar',
                      'UN member state',
                      'QA',
                      'QAT',
                      634,
                      '.qa',
                      '+974',
                      25.354826,
                      51.183884,
                      'Asia',
                      'Western Asia',
                      '🇶🇦',
                      11586.0,
                      11586.0,
                      0.0,
                      'Doha',
                      '25°17′12″N',
                      '51°32′0″E',
                      51.5333,
                      25.2867,
                      2832067.0,
                      175837550996.185,
                      94028.5977,
                      90043.9262,
                      False,
                      False,
                      False],
    'romania|^RO$|^ROU$': ['Romania',
                        'UN member state',
                        'RO',
                        'ROU',
                        642,
                        '.ro',
                        '+40',
                        45.943161,
                        24.96676,
                        'Europe',
                        'Eastern Europe',
                        '🇷🇴',
                        238391.0,
                        229891.0,
                        8500.0,
                        'Bucharest',
                        '44°25′57″N',
                        '26°6′14″E',
                        26.1039,
                        44.4325,
                        19356544.0,
                        250077444017.084,
                        32297.3034,
                        29940.7741,
                        False,
                        True,
                        True],
    'rwanda|^RW$|^RWA$': ['Rwanda',
                       'UN member state',
                       'RW',
                       'RWA',
                       646,
                       '.rw',
                       '+250',
                       -1.940278,
                       29.873888,
                       'Africa',
                       'Eastern Africa',
                       '🇷🇼',
                       26338.0,
                       24668.0,
                       1670.0,
                       'Kigali',
                       '1°56′38″S',
                       '30°3′34″E',
                       30.0594,
                       -1.9439,
                       12626950.0,
                       10354417725.1555,
                       2325.4079,
                       2226.8636,
                       False,
                       False,
                       False],
    'réunion|reunion|^RE$|^REU$': ['Réunion',
                                'France',
                                'RE',
                                'REU',
                                638,
                                '.re',
                                '+262',
                                -21.115141,
                                55.536384,
                                'Africa',
                                'Eastern Africa',
                                '🇷🇪',
                                '',
                                '',
                                '',
                                '',
                                '',
                                '',
                                '',
                                '',
                                '',
                                '',
                                '',
                                '',
                                False,
                                False,
                                False],
    'samoa|^WS$|^WSM$': ['Samoa',
                      'UN member state',
                      'WS',
                      'WSM',
                      882,
                      '.ws',
                      '+685',
                      -13.759029,
                      -172.104629,
                      'Oceania',
                      'Polynesia',
                      '🇼🇸',
                      2831.0,
                      2821.0,
                      10.0,
                      'Apia',
                      '13°50′S',
                      '171°45′W',
                      -171.75,
                      -13.8333,
                      197097.0,
                      852250190.985485,
                      6795.6841,
                      6521.4583,
                      False,
                      False,
                      False],
    'san marino|^SM$|^SMR$': ['San Marino',
                           'UN member state',
                           'SM',
                           'SMR',
                           674,
                           '.sm',
                           '+378',
                           43.94236,
                           12.457777,
                           'Europe',
                           'Southern Europe',
                           '🇸🇲',
                           61.0,
                           61.0,
                           0.0,
                           'City of San Marino',
                           '43°56′4.56″N',
                           '12°26′50.28″E',
                           12.4473,
                           43.9346,
                           33860.0,
                           '',
                           '',
                           '',
                           False,
                           False,
                           False],
    'saudi|^SA$|^SAU$': ['Saudi Arabia',
                      'UN member state',
                      'SA',
                      'SAU',
                      682,
                      '.sa',
                      '+966',
                      23.885942,
                      45.079162,
                      'Asia',
                      'Western Asia',
                      '🇸🇦',
                      2149690.0,
                      2149690.0,
                      0.0,
                      'Riyadh',
                      '24°38′N',
                      '46°43′E',
                      46.7167,
                      24.6333,
                      34268528.0,
                      792966838161.659,
                      49040.3429,
                      46962.1491,
                      False,
                      False,
                      False],
    'senegal|^SN$|^SEN$': ['Senegal',
                        'UN member state',
                        'SN',
                        'SEN',
                        686,
                        '.sn',
                        '+221',
                        14.497401,
                        -14.452362,
                        'Africa',
                        'Western Africa',
                        '🇸🇳',
                        196722.0,
                        192530.0,
                        4192.0,
                        'Dakar',
                        '14°41′34″N',
                        '17°26′48″W',
                        -17.4467,
                        14.6928,
                        16296364.0,
                        23578084052.0147,
                        3545.1003,
                        3394.8688,
                        False,
                        False,
                        False],
    'serbia|^RS$|^SRB$': ['Serbia',
                       'UN member state',
                       'RS',
                       'SRB',
                       688,
                       '.rs',
                       '+381',
                       44.016521,
                       21.005859,
                       'Europe',
                       'Southern Europe',
                       '🇷🇸',
                       77474.0,
                       77474.0,
                       0.0,
                       'Belgrade',
                       '44°49′N',
                       '20°28′E',
                       20.4667,
                       44.8167,
                       6944975.0,
                       51475016532.1293,
                       19013.3624,
                       18232.615,
                       False,
                       False,
                       False],
    'singapore|^SG$|^SGP$': ['Singapore',
                          'UN member state',
                          'SG',
                          'SGP',
                          702,
                          '.sg',
                          '+65',
                          1.352083,
                          103.819836,
                          'Asia',
                          'South-Eastern Asia',
                          '🇸🇬',
                          719.2,
                          709.2,
                          10.0,
                          'Singapore',
                          '1°17′N',
                          '103°50′E',
                          103.8333,
                          1.2833,
                          5703569.0,
                          372062527488.638,
                          101649.0749,
                          97341.4686,
                          False,
                          False,
                          False],
    'slovenia|^SI$|^SVN$': ['Slovenia',
                         'UN member state',
                         'SI',
                         'SVN',
                         705,
                         '.si',
                         '+386',
                         46.151241,
                         14.995463,
                         'Europe',
                         'Southern Europe',
                         '🇸🇮',
                         20273.0,
                         20151.0,
                         122.0,
                         'Ljubljana',
                         '46°03′20″N',
                         '14°30′30″E',
                         14.5083,
                         46.0556,
                         2087946.0,
                         54174227308.8862,
                         40983.4216,
                         39088.4832,
                         True,
                         True,
                         True],
    'solomon|^SB$|^SLB$': ['Solomon Islands',
                        'UN member state',
                        'SB',
                        'SLB',
                        90,
                        '.sb',
                        '+677',
                        -9.64571,
                        160.156194,
                        'Oceania',
                        'Melanesia',
                        '🇸🇧',
                        28896.0,
                        27986.0,
                        910.0,
                        'Honiara',
                        '9°25′55″S',
                        '159°57′20″E',
                        159.9556,
                        -9.4319,
                        669823.0,
                        1589913622.23799,
                        2780.6378,
                        2662.802,
                        False,
                        False,
                        False],
    'somalia|^SO$|^SOM$': ['Somalia',
                        'UN member state',
                        'SO',
                        'SOM',
                        706,
                        '.so',
                        '+252',
                        3.687751,
                        45.41276,
                        'Africa',
                        'Eastern Africa',
                        '🇸🇴',
                        637657.0,
                        627337.0,
                        10320.0,
                        'Mogadishu',
                        '02°02′N',
                        '45°20′E',
                        45.3333,
                        2.0333,
                        15442905.0,
                        '',
                        '',
                        '',
                        False,
                        False,
                        False],
    'south sudan|^SS$|^SSD$': ['South Sudan',
                            'UN member state',
                            'SS',
                            'SSD',
                            728,
                            '.ss',
                            '+211',
                            7.005022,
                            30.211401,
                            'Africa',
                            'Eastern Africa',
                            '🇸🇸',
                            1861484.0,
                            1731671.0,
                            129813.0,
                            'Juba',
                            '4°51′N',
                            '31°36′E',
                            31.6,
                            4.85,
                            11062113.0,
                            '',
                            '',
                            '',
                            False,
                            False,
                            False],
    'spain|^ES$|^ESP$': ['Spain',
                      'UN member state',
                      'ES',
                      'ESP',
                      724,
                      '.es',
                      '+34',
                      40.463667,
                      -3.74922,
                      'Europe',
                      'Southern Europe',
                      '🇪🇸',
                      505370.0,
                      498980.0,
                      6390.0,
                      'Madrid',
                      '40°23′N',
                      '3°43′W',
                      -3.7167,
                      40.3833,
                      47076781.0,
                      1393490524517.64,
                      42195.1815,
                      40902.8852,
                      True,
                      True,
                      True],
    'sri lanka|^LK$|^LKA$': ['Sri Lanka',
                          'UN member state',
                          'LK',
                          'LKA',
                          144,
                          '.lk',
                          '+94',
                          7.873054,
                          80.771797,
                          'Asia',
                          'Southern Asia',
                          '🇱🇰',
                          65610.0,
                          64630.0,
                          980.0,
                          'Sri Jayawardenepura Kotte',
                          '6°55′N',
                          '79°55′E',
                          79.9167,
                          6.9167,
                          21803000.0,
                          84008783756.068,
                          13656.837,
                          13078.0981,
                          False,
                          False,
                          False],
    'surinam|^SR$|^SUR$': ['Suriname',
                        'UN member state',
                        'SR',
                        'SUR',
                        740,
                        '.sr',
                        '+597',
                        3.919305,
                        -56.027783,
                        'South America',
                        'South America',
                        '🇸🇷',
                        163820.0,
                        156000.0,
                        7820.0,
                        'Paramaribo',
                        '5°51′8″N',
                        '55°12′14″W',
                        -55.2039,
                        5.8522,
                        581363.0,
                        3697371949.58434,
                        17256.0204,
                        16524.7581,
                        False,
                        False,
                        False],
    'sweden|^SE$|^SWE$': ['Sweden',
                       'UN member state',
                       'SE',
                       'SWE',
                       752,
                       '.se',
                       '+46',
                       62.783193,
                       15.345713,
                       'Europe',
                       'Northern Europe',
                       '🇸🇪',
                       450295.0,
                       410335.0,
                       39960.0,
                       'Stockholm',
                       '59°19′46″N',
                       '18°4′7″E',
                       18.0686,
                       59.3294,
                       10285453.0,
                       530883869004.977,
                       55819.8709,
                       53239.8233,
                       True,
                       True,
                       True],
    'switzerland|^CH$|^CHE$': ['Switzerland',
                            'UN member state',
                            'CH',
                            'CHE',
                            756,
                            '.ch',
                            '+41',
                            46.818188,
                            8.227512,
                            'Europe',
                            'Western Europe',
                            '🇨🇭',
                            41277.0,
                            39997.0,
                            1280.0,
                            'Bern',
                            '46°56′53″N',
                            '7°26′51″E',
                            7.4475,
                            46.9481,
                            8574832.0,
                            703082435158.864,
                            70989.2581,
                            68627.8287,
                            True,
                            False,
                            False],
    'taiwan|^TW$|^TWN$': ['Taiwan',
                       'disputed',
                       'TW',
                       'TWN',
                       158,
                       '.tw',
                       '+886',
                       23.69781,
                       120.960515,
                       'Asia',
                       'Eastern Asia',
                       '🇹🇼',
                       35980.0,
                       32260.0,
                       3720.0,
                       'Taipei',
                       '25°04′N',
                       '121°31′E',
                       121.5167,
                       25.0667,
                       '',
                       '',
                       '',
                       '',
                       False,
                       False,
                       False],
    'tajikistan|^TJ$|^TJK$': ['Tajikistan',
                           'UN member state',
                           'TJ',
                           'TJK',
                           762,
                           '.tj',
                           '+992',
                           38.861034,
                           71.276093,
                           'Asia',
                           'Central Asia',
                           '🇹🇯',
                           144100.0,
                           141510.0,
                           2590.0,
                           'Dushanbe',
                           '38°32′12″N',
                           '68°46′48″E',
                           68.78,
                           38.5367,
                           9321018.0,
                           8116626794.25837,
                           3529.3111,
                           3379.7487,
                           False,
                           False,
                           False],
    'thailand|^TH$|^THA$': ['Thailand',
                         'UN member state',
                         'TH',
                         'THA',
                         764,
                         '.th',
                         '+66',
                         15.870032,
                         100.992541,
                         'Asia',
                         'South-Eastern Asia',
                         '🇹🇭',
                         513120.0,
                         510890.0,
                         2230.0,
                         'Bangkok',
                         '13°45′09″N',
                         '100°29′39″E',
                         100.4942,
                         13.7525,
                         69625582.0,
                         543548969968.693,
                         19276.8963,
                         18459.9949,
                         False,
                         False,
                         False],
    'timor.*lest|east timor|^TL$|^TLS$': ['East Timor',
                                       'UN member state',
                                       'TL',
                                       'TLS',
                                       626,
                                       '.tl',
                                       '+670',
                                       -8.874217,
                                       125.727539,
                                       'Asia',
                                       'South-Eastern Asia',
                                       '🇹🇱',
                                       14874.0,
                                       14874.0,
                                       0.0,
                                       'Dili',
                                       '8°34′S',
                                       '125°34′E',
                                       125.5667,
                                       -8.5667,
                                       1293119.0,
                                       2017924900.0,
                                       3709.8113,
                                       3552.5997,
                                       False,
                                       False,
                                       False],
    'togo|^TG$|^TGO$': ['Togo',
                     'UN member state',
                     'TG',
                     'TGO',
                     768,
                     '.tg',
                     '+228',
                     8.650573,
                     1.075668,
                     'Africa',
                     'Western Africa',
                     '🇹🇬',
                     56785.0,
                     54385.0,
                     2400.0,
                     'Lomé',
                     '6°7′55″N',
                     '1°13′22″E',
                     1.2228,
                     6.1319,
                     8082366.0,
                     5490272413.38702,
                     1667.3005,
                     1596.6449,
                     False,
                     False,
                     False],
    'tokelau|^TK$|^TKL$': ['Tokelau',
                        'New Zealand',
                        'TK',
                        'TKL',
                        772,
                        '.tk',
                        '+690',
                        -8.967363,
                        -171.855881,
                        'Oceania',
                        'Polynesia',
                        '🇹🇰',
                        12.0,
                        12.0,
                        0.0,
                        '',
                        '',
                        '',
                        '',
                        '',
                        '',
                        '',
                        '',
                        '',
                        False,
                        False,
                        False],
    'tonga|^TO$|^TON$': ['Tonga',
                      'UN member state',
                      'TO',
                      'TON',
                      776,
                      '.to',
                      '+676',
                      -21.178986,
                      -175.198242,
                      'Oceania',
                      'Polynesia',
                      '🇹🇴',
                      747.0,
                      717.0,
                      30.0,
                      'Nukuʻalofa',
                      '21°8′0″S',
                      '175°12′0″W',
                      -175.2,
                      -21.1333,
                      104494.0,
                      512350059.421629,
                      6665.7499,
                      6383.2739,
                      False,
                      False,
                      False],
    'tunisia|^TN$|^TUN$': ['Tunisia',
                        'UN member state',
                        'TN',
                        'TUN',
                        788,
                        '.tn',
                        '+216',
                        33.886917,
                        9.537499,
                        'Africa',
                        'Northern Africa',
                        '🇹🇳',
                        163610.0,
                        155360.0,
                        8250.0,
                        'Tunis',
                        '36°48′23″N',
                        '10°10′54″E',
                        10.1817,
                        36.8064,
                        11694719.0,
                        38796687568.157,
                        11231.571,
                        10755.6082,
                        False,
                        False,
                        False],
    'turkey|^TR$|^TUR$': ['Turkey',
                       'UN member state',
                       'TR',
                       'TUR',
                       792,
                       '.tr',
                       '+90',
                       38.963745,
                       35.243322,
                       'Asia',
                       'Western Asia',
                       '🇹🇷',
                       783562.0,
                       769632.0,
                       13930.0,
                       'Ankara',
                       '39°55′48″N',
                       '32°51′00″E',
                       32.85,
                       39.93,
                       83429615.0,
                       761425499358.159,
                       28134.449,
                       28423.6482,
                       True,
                       False,
                       False],
    'turkmenistan|^TM$|^TKM$': ['Turkmenistan',
                             'UN member state',
                             'TM',
                             'TKM',
                             795,
                             '.tm',
                             '+993',
                             39.759206,
                             58.769464,
                             'Asia',
                             'Central Asia',
                             '🇹🇲',
                             488100.0,
                             469930.0,
                             18170.0,
                             'Ashgabat',
                             '37°56′N',
                             '58°22′E',
                             58.3667,
                             37.9333,
                             5942089.0,
                             '',
                             '',
                             '',
                             False,
                             False,
                             False],
    'tuvalu|^TV$|^TUV$': ['Tuvalu',
                       'UN member state',
                       'TV',
                       'TUV',
                       798,
                       '.tv',
                       '+688',
                       -7.109535,
                       177.64933,
                       'Oceania',
                       'Polynesia',
                       '🇹🇻',
                       26.0,
                       26.0,
                       0.0,
                       'Funafuti',
                       '08°31′S',
                       '179°12′E',
                       179.2,
                       -8.5167,
                       11646.0,
                       47271463.3298575,
                       4470.8577,
                       4281.3951,
                       False,
                       False,
                       False],
    'u[\.]*s[\.]*a[\.]*$|u[\.]*s[\.]*$|.*united states of america|(?!.*minor).*united states$|^US$|^USA$': ['United '
                                                                                                              'States',
                                                                                                              'UN '
                                                                                                              'member '
                                                                                                              'state',
                                                                                                              'US',
                                                                                                              'USA',
                                                                                                              840,
                                                                                                              '.us',
                                                                                                              '+1',
                                                                                                              39.771005,
                                                                                                              -98.500016,
                                                                                                              'North '
                                                                                                              'America',
                                                                                                              'Northern '
                                                                                                              'America',
                                                                                                              '🇺🇸',
                                                                                                              9833517.0,
                                                                                                              9147593.0,
                                                                                                              685924.0,
                                                                                                              'Washington, '
                                                                                                              'D.C.',
                                                                                                              '38°54′17″N',
                                                                                                              '77°00′59″W',
                                                                                                              -77.0164,
                                                                                                              38.9047,
                                                                                                              328239523.0,
                                                                                                              21433226000000.0,
                                                                                                              65297.5175,
                                                                                                              62530.3896,
                                                                                                              True,
                                                                                                              False,
                                                                                                              False],
    'u\.k\.|united kingdom|gb$|g\.b\.|great britain|^GB$|^GBR$': ['United '
                                                                   'Kingdom',
                                                                   'UN member '
                                                                   'state',
                                                                   'GB',
                                                                   'GBR',
                                                                   826,
                                                                   '.gb',
                                                                   '+44',
                                                                   53.510554,
                                                                   -1.578321,
                                                                   'Europe',
                                                                   'Northern '
                                                                   'Europe',
                                                                   '🇬🇧',
                                                                   243610.0,
                                                                   241930.0,
                                                                   1680.0,
                                                                   'London',
                                                                   '51°30′26″N',
                                                                   '0°7′39″W',
                                                                   -0.1275,
                                                                   51.5072,
                                                                   66834405.0,
                                                                   2829108219165.8,
                                                                   48698.1334,
                                                                   46658.5454,
                                                                   True,
                                                                   False,
                                                                   False],
    'uganda|^UG$|^UGA$': ['Uganda',
                       'UN member state',
                       'UG',
                       'UGA',
                       800,
                       '.ug',
                       '+256',
                       1.368864,
                       32.68777,
                       'Africa',
                       'Eastern Africa',
                       '🇺🇬',
                       241038.0,
                       197100.0,
                       43938.0,
                       'Kampala',
                       '00°18′49″N',
                       '32°34′52″E',
                       32.5811,
                       0.3136,
                       44269594.0,
                       35165157016.9125,
                       2284.2657,
                       2187.4649,
                       False,
                       False,
                       False],
    'ukraine|^UA$|^UKR$': ['Ukraine',
                        'UN member state',
                        'UA',
                        'UKR',
                        804,
                        '.ua',
                        '+380',
                        49.19813,
                        31.503969,
                        'Europe',
                        'Eastern Europe',
                        '🇺🇦',
                        603550.0,
                        579330.0,
                        24220.0,
                        'Kiev',
                        '50°27′00″N',
                        '30°31′24″E',
                        30.5233,
                        50.45,
                        44385155.0,
                        153781069118.148,
                        13341.2105,
                        12810.2895,
                        False,
                        False,
                        False],
    'uruguay|^UY$|^URY$': ['Uruguay',
                        'UN member state',
                        'UY',
                        'URY',
                        858,
                        '.uy',
                        '+598',
                        -32.801726,
                        -56.116685,
                        'South America',
                        'South America',
                        '🇺🇾',
                        176215.0,
                        175015.0,
                        1200.0,
                        'Montevideo',
                        '34°53′1″S',
                        '56°10′55″W',
                        -56.1819,
                        -34.8836,
                        3461734.0,
                        56045912952.9732,
                        22515.1936,
                        21561.0621,
                        False,
                        False,
                        False],
    'uzbekistan|^UZ$|^UZB$': ['Uzbekistan',
                           'UN member state',
                           'UZ',
                           'UZB',
                           860,
                           '.uz',
                           '+998',
                           41.651192,
                           63.765843,
                           'Asia',
                           'Central Asia',
                           '🇺🇿',
                           447400.0,
                           425400.0,
                           22000.0,
                           'Tashkent',
                           '41°18′N',
                           '69°16′E',
                           69.2667,
                           41.3,
                           33580650.0,
                           57921286440.3495,
                           7308.4155,
                           6998.7051,
                           False,
                           False,
                           False],
    'vanuatu|^VU$|^VUT$': ['Vanuatu',
                        'UN member state',
                        'VU',
                        'VUT',
                        548,
                        '.vu',
                        '+678',
                        -15.376706,
                        166.959158,
                        'Oceania',
                        'Melanesia',
                        '🇻🇺',
                        12189.0,
                        12189.0,
                        0.0,
                        'Port Vila',
                        '17°44′S',
                        '168°19′E',
                        168.3167,
                        -17.7333,
                        299882.0,
                        934239973.812573,
                        3292.5441,
                        3153.0152,
                        False,
                        False,
                        False],
    'venezuela|^VE$|^VEN$': ['Venezuela',
                          'UN member state',
                          'VE',
                          'VEN',
                          862,
                          '.ve',
                          '+58',
                          7.411109,
                          -65.729333,
                          'South America',
                          'South America',
                          '🇻🇪',
                          912050.0,
                          882050.0,
                          30000.0,
                          'Caracas',
                          '10°28′50″N',
                          '66°54′13″W',
                          -66.9036,
                          10.4806,
                          28515829.0,
                          '',
                          '',
                          '',
                          False,
                          False,
                          False],
    'vietnam|viet nam|^VN$|^VNM$': ['Vietnam',
                                 'UN member state',
                                 'VN',
                                 'VNM',
                                 704,
                                 '.vn',
                                 '+84',
                                 14.058324,
                                 108.277199,
                                 'Asia',
                                 'South-Eastern Asia',
                                 '🇻🇳',
                                 331210.0,
                                 310070.0,
                                 21140.0,
                                 'Hanoi',
                                 '21°01′42″N',
                                 '105°51′15″E',
                                 105.8542,
                                 21.0283,
                                 96462106.0,
                                 261921244843.172,
                                 8397.021,
                                 8041.1786,
                                 False,
                                 False,
                                 False],
    'yemen|^YE$|^YEM$': ['Yemen',
                      'UN member state',
                      'YE',
                      'YEM',
                      887,
                      '.ye',
                      '+967',
                      15.552727,
                      48.516388,
                      'Asia',
                      'Western Asia',
                      '🇾🇪',
                      527968.0,
                      527968.0,
                      0.0,
                      "Sana'a",
                      '15°20′54″N',
                      '44°12′23″E',
                      44.2064,
                      15.3483,
                      29161922.0,
                      22581081993.945,
                      '',
                      '',
                      False,
                      False,
                      False],
    'zambia|^ZM$|^ZMB$': ['Zambia',
                       'UN member state',
                       'ZM',
                       'ZMB',
                       894,
                       '.zm',
                       '+260',
                       -13.747852,
                       27.804593,
                       'Africa',
                       'Eastern Africa',
                       '🇿🇲',
                       752618.0,
                       743398.0,
                       9220.0,
                       'Lusaka',
                       '15°25′S',
                       '28°17′E',
                       28.2833,
                       -15.4167,
                       17861030.0,
                       23309773922.7582,
                       3624.0249,
                       3470.4488,
                       False,
                       False,
                       False],
    'zimbabwe|^ZW$|^ZWE$': ['Zimbabwe',
                         'UN member state',
                         'ZW',
                         'ZWE',
                         716,
                         '.zw',
                         '+263',
                         -18.985133,
                         29.889704,
                         'Africa',
                         'Eastern Africa',
                         '🇿🇼',
                         390757.0,
                         386847.0,
                         3910.0,
                         'Harare',
                         '17°49′45″S',
                         '31°3′8″E',
                         31.0522,
                         -17.8292,
                         14645468.0,
                         21440758800.0,
                         2961.4464,
                         2835.9485,
                         False,
                         False,
                         False]
}
